<?php
  
if( !defined( 'DATALIFEENGINE' ) OR !defined( 'LOGGED_IN' ) ) {
	header( "HTTP/1.1 403 Forbidden" );
	header ( 'Location: ../../' );
	die( "Hacking attempt!" );
}


$config_kodik = unserialize( file_get_contents( ENGINE_DIR . '/data/kodik_grabber.config' ) );
if ( !$config_kodik ) $config_kodik = array();

if (isset($_POST['q_search']) or $_POST['action']=='parse' or $_POST['action']=='update') {
  require_once ENGINE_DIR . '/kodik/parse.php';
  exit();
}

if ($_POST['action']=='rebuild') {
  require_once ENGINE_DIR . '/kodik/rebuild.php';
  exit();
}


$__name = "KodikGrubber";
$__descr = "Автонаполнение сайта DLE по базе Kodik";



if ( $action ) {

	if( !$user_group[$member_id['user_group']]['admin_addnews'] ) {
		die( '{"success":false,"message":"' . $lang['index_denied'] . '"}' );
	}

  if ( $action == "clear" ) {
    $db->query("TRUNCATE " . PREFIX . "_kodik");
    @unlink(ENGINE_DIR . '/data/kodik.log');
    die('Операция выполнена');
  }

	if ( $action == "config" ) {

		$config_kodik = is_array( $_POST['config'] ) ? $_POST['config'] : array();

		file_put_contents( ENGINE_DIR . '/data/kodik_grabber.config', serialize( $config_kodik ) );

		die( '{"success":true,"message":"Настройки успешно сохранены"}' );

	}

	if( $action == "sections" ) {

		$row = $db->super_query( "SELECT id, name FROM " . PREFIX . "_admin_sections WHERE name = 'kodik_grabber'" );

		if ( $row ) {

			$db->query("DELETE FROM " . PREFIX . "_admin_sections WHERE name = 'kodik_grabber'");

			die( '{"success":true,"message":"Модуль убран из меню «Сторонние модули»"}' );

		} else {

			$db->query( "INSERT IGNORE INTO " . PREFIX . "_admin_sections (name, title, descr, icon, allow_groups) VALUES ('kodik_grabber', '{$__name}', '{$descr}', '', '1')" );

			die( '{"success":true,"message":"Модуль добавлен в меню «Сторонние модули»"}' );

		}

	}

}

if( !$user_group[$member_id['user_group']]['admin_addnews'] ) {
	msg( "error", $lang['index_denied'], $lang['index_denied'] );
}

function makeCheckBox($name, $selected) {
  $selected = $selected ? "checked" : "";
  return "<input class=\"switch\" type=\"checkbox\" name=\"$name\" value=\"1\" {$selected}>";
}

function makeDropDown($options, $name, $selected) {
    $output = "<select class=\"uniform\" style=\"min-width:100px;\" name=\"$name\">\r\n";
    foreach ( $options as $value => $description ) {
        $output .= "<option value=\"$value\"";
        if( $selected == $value ) {
            $output .= " selected ";
        }
        $output .= ">$description</option>\n";
    }
    $output .= "</select>";
    return $output;
}

$sort_arr_film = array(
  'year&order=desc' => 'по году, по убыванию', 
  'year&order=asc' => 'по году, по возрастанию',
  'created_at&order=desc' => 'по дате добавления, по убыванию', 
  'created_at&order=asc' => 'по дате добавления, по возрастанию',
  'updated_at&order=desc' => 'по дате обновления, по убыванию', 
  'updated_at&order=asc' => 'по дате обновления, по возрастанию',
  'kinopoisk_rating&order=desc'  => 'по kinopoisk_rating, по убыванию',
  'kinopoisk_rating&order=asc'  => 'по kinopoisk_rating, по возрастанию',
  'imdb_rating&order=desc'  => 'по imdb_rating, по возрастанию',
  'imdb_rating&order=asc'  => 'по imdb_rating, по возрастанию',
  'shikimori_rating&order=desc'  => 'по shikimori_rating, по возрастанию',
  'shikimori_rating&order=asc'  => 'по shikimori_rating, по возрастанию'
);

$tags_arr = array(
	'poster'             => 'Постер',
	'title_ru'           => 'Название',
	'title_en'           => 'Оригинальное название',
	'other_title'        => 'Другое название',
	'year'               => 'Год выхода',
	'description'        => 'Описание',
	'tagline'            => 'Слоган',
	'countries'          => 'Страны',
	'genres'             => 'Жанры',
	'actors'             => 'Актеры',
	'directors'          => 'Режиссеры',
	'producerss'         => 'Продюсеры',
	'writerss'           => 'Писатели',
	'composers'          => 'Композиторы',
	'editors'            => 'Редакторы',
	'designers'          => 'Дизайнеры',
	'operators'          => 'Операторы',
	'iframe_url'         => 'Плеер',
	'trailer'            => 'Трейлер',
  'kodik_id'           => 'ID Kodik',
	'kinopoisk_id'       => 'ID Kinopoisk',
	'imdb_id'            => 'ID IMDB',
	'shikimori_id'      => 'ID Shikimori',
	'world_art_link'     => 'WORLD ART LINK',
	'translator'         => 'Перевод',
	'quality'            => 'Качество видео',
	'last_season'        => 'Последний сезон',
	'last_episode'       => 'Последний эпизод',
	'kinopoisk_rating'   => 'Kinopoisk рейтинг',
	'kinopoisk_votes'    => 'Количество голосов Kinopoisk',
	'imdb_rating'        => 'IMDB рейтинг',
	'imdb_votess'        => 'Количество голосов IMDB',
	'rating_world_art'   => 'WORLD ART рейтинг',
	'mpaa_rating'        => 'MPAA рейтинг',
	'premiere_ru'        => 'Премьера в РФ',
	'premiere_world'     => 'Мировая премьера',
  'video_type'         => 'Тип видео (фильм, сериал...)',
  'kodik_id'           => 'Kodik ID',
	'mdl_id'             => 'MDL ID',
  'mydramalist_rating' => 'Рейтинг MyDramaList',
  'next_episode_at'    => 'Время выхода следующего сезона',
  'drama_genres'       => 'Жанры MyDramaList',
  'mydramalist_votes'  => 'Количество голосов рейтинга на MyDramaList',
  'drama_status'       => 'Статус дорамы',
  'aired_at'           => 'Дата начала показа',
  'released_at'        => 'Дата конца показа',
  'episodes_aired'     => 'Количество уже вышедших эпизодов',
	'time'               => 'Продолжительность',
	'screenshots'        => 'Скриншоты',
	'other_titles'       => 'Другие названия материала',
	'other_titles_en'    => 'Другие названия материала на английском',
	'other_titles_jp'    => 'Другие названия материала на японском',
	'anime_license_name' => 'Название лицензии в России',
	'anime_kind'         => 'Тип аниме',
	'anime_status'       => 'Статус аниме',
	'screenshots'        => 'Скриншоты',
	'anime_genres'       => 'Аниме жанры',
	'anime_studios'      => 'Аниме студии',
	'shikimori_rating'   => 'Рейтинг на Shikimori',
	'shikimori_votes'    => 'Количество голосов рейтинга на Shikimori',
	'aired_at'           => 'Дата начала показа',
	'released_at'        => 'Дата конца показа',
	'episodes_total'     => 'Количество эпизодов',
	'episodes_count'     => 'Общее количество эпизодов в сериале',
	'episodes_aired'     => 'Количество уже вышедших эпизодов Shikimori',
	'age'                => 'Возрастное ограничение',
	':camrip'            => 'Camrip: да / нет',
  'episode_plus'   => 'Последняя серия + 1',
  'seasone_plus'   => 'Последний сезон + 1',
  'episode_type_1' => 'Форматированная серия вида 1 серия, 2 серия, 3 серия',
  'episode_type_2' => 'Форматированная серия вида 1 серия, 1-2 серия, 1-3 серия, 1-4 серия',
  'episode_type_3' => 'Форматированная серия вида 1 серия, 1,2 серия, 1,2,3 серия, 1,2,3,4 серия',
  'episode_type_4' => 'Форматированная серия + 1 вида: если 1 серия - 1,2 серия, если 2 серия - 1,2,3 серия, если 5 серия - 4,5,6 серия',
  'episode_type_5' => 'Форматированная серия + 1 вида 1,2 серия, 1,2,3 серия, 1,2,3,4,5 серия, 1-5,6,7 серия',
  'season_type_1'  => 'Форматированный сезон вида 1 сезон, 2 сезон, 3 сезон',
  'season_type_2'  => 'Форматированный сезон вида 1 сезон, 1-2 сезон, 1-3 сезон',
  'season_type_3'  => 'Форматированный сезон вида 1 сезон, 1,2 сезон, 1,2,3 сезон', 
);



$all_genres = [
  '',
  'sci-fi',
  'аниме',
  'безумие',
  'бизнес',
  'биография',
  'боевик',
  'боевые искусства',
  'вампиры',
  'вестерн',
  'взрослая жизнь',
  'военное',
  'военный',
  'война',
  'восточные единоборства',
  'гарем',
  'гурман',
  'демоны',
  'детектив',
  'детский',
  'детское',
  'дзёсей',
  'для взрослых',
  'документальный',
  'драма',
  'дружба',
  'еда',
  'закон',
  'игра',
  'игры',
  'исторический',
  'история',
  'комедия',
  'концерт',
  'короткометражка',
  'космос',
  'криминал',
  'магия',
  'машины',
  'медицина',
  'мелодрама',
  'меха',
  'мистика',
  'молодость',
  'музыка',
  'мультфильм',
  'мюзикл',
  'пародия',
  'повседневность',
  'политика',
  'полиция',
  'приключения',
  'психологическое',
  'психология',
  'работа',
  'реальное тв',
  'романтика',
  'самураи',
  'сверхъестественное',
  'семейный',
  'ситком',
  'спорт',
  'супер сила',
  'сэйнэн',
  'сёдзё',
  'сёдзё-ай',
  'сёнен',
  'сёнен-ай',
  'ток-шоу',
  'триллер',
  'ужасы',
  'фантастика',
  'фильм-нуар',
  'фэнтези',
  'хентай',
  'школа',
  'экшен',
  'эротика',
  'этти',
  'юри',
  'яой',
];


$all_countries = [
  'AD' => 'Andorra',
  'AE' => 'United Arab Emirates',
  'AF' => 'Afghanistan',
  'AG' => 'Antigua and Barbuda',
  'AI' => 'Anguilla',
  'AL' => 'Albania',
  'AM' => 'Armenia',
  'AN' => 'Netherlands Antilles',
  'AO' => 'Angola',
  'AQ' => 'Antarctica',
  'AR' => 'Argentina',
  'AS' => 'American Samoa',
  'AT' => 'Austria',
  'AU' => 'Australia',
  'AW' => 'Aruba',
  'AZ' => 'Azerbaijan',
  'BA' => 'Bosnia and Herzegovina',
  'BB' => 'Barbados',
  'BD' => 'Bangladesh',
  'BE' => 'Belgium',
  'BF' => 'Burkina Faso',
  'BG' => 'Bulgaria',
  'BH' => 'Bahrain',
  'BI' => 'Burundi',
  'BJ' => 'Benin',
  'BM' => 'Bermuda',
  'BN' => 'Brunei Darussalam',
  'BO' => 'Bolivia',
  'BR' => 'Brazil',
  'BS' => 'Bahamas',
  'BT' => 'Bhutan',
  'BV' => 'Bouvet Island',
  'BW' => 'Botswana',
  'BY' => 'Belarus',
  'BZ' => 'Belize',
  'CA' => 'Canada',
  'CC' => 'Cocos  Islands',
  'CD' => 'Congo',
  'CF' => 'Central African Republic',
  'CG' => 'Congo',
  'CH' => 'Switzerland',
  'CI' => 'Cote D\'Ivoire',
  'CK' => 'Cook Islands',
  'CL' => 'Chile',
  'CM' => 'Cameroon',
  'CN' => 'China',
  'CO' => 'Colombia',
  'CR' => 'Costa Rica',
  'CS' => 'Serbia and Montenegro',
  'CU' => 'Cuba',
  'CV' => 'Cape Verde',
  'CX' => 'Christmas Island',
  'CY' => 'Cyprus',
  'CZ' => 'Czech Republic',
  'DE' => 'Germany',
  'DJ' => 'Djibouti',
  'DK' => 'Denmark',
  'DM' => 'Dominica',
  'DO' => 'Dominican Republic',
  'DZ' => 'Algeria',
  'EC' => 'Ecuador',
  'EE' => 'Estonia',
  'EG' => 'Egypt',
  'EH' => 'Western Sahara',
  'ER' => 'Eritrea',
  'ES' => 'Spain',
  'ET' => 'Ethiopia',
  'FI' => 'Finland',
  'FJ' => 'Fiji',
  'FK' => 'Falkland Islands',
  'FM' => 'Micronesia',
  'FO' => 'Faeroe Islands',
  'FR' => 'France',
  'GA' => 'Gabon',
  'GB' => 'United Kingdom',
  'GD' => 'Grenada',
  'GE' => 'Georgia',
  'GF' => 'French Guiana',
  'GH' => 'Ghana',
  'GI' => 'Gibraltar',
  'GL' => 'Greenland',
  'GM' => 'Gambia',
  'GN' => 'Guinea',
  'GP' => 'Guadaloupe',
  'GQ' => 'Equatorial Guinea',
  'GR' => 'Greece',
  'GS' => 'South Georgia and the South Sandwich Islands',
  'GT' => 'Guatemala',
  'GU' => 'Guam',
  'GW' => 'Guinea-Bissau',
  'GY' => 'Guyana',
  'HK' => 'Hong Kong',
  'HM' => 'Heard and McDonald Islands',
  'HN' => 'Honduras',
  'HR' => 'Croatia',
  'HT' => 'Haiti',
  'HU' => 'Hungary',
  'ID' => 'Indonesia',
  'IE' => 'Ireland',
  'IL' => 'Israel',
  'IN' => 'India',
  'IO' => 'British Indian Ocean Territory',
  'IQ' => 'Iraq',
  'IR' => 'Iran',
  'IS' => 'Iceland',
  'IT' => 'Italy',
  'JM' => 'Jamaica',
  'JO' => 'Jordan',
  'JP' => 'Japan',
  'KE' => 'Kenya',
  'KG' => 'Kyrgyz Republic',
  'KH' => 'Cambodia',
  'KI' => 'Kiribati',
  'KM' => 'Comoros',
  'KN' => 'St. Kitts and Nevis',
  'KP' => 'North Korea',
  'KR' => 'South Korea',
  'KW' => 'Kuwait',
  'KY' => 'Cayman Islands',
  'KZ' => 'Kazakhstan',
  'LA' => 'Lao People\'s Democratic Republic',
  'LB' => 'Lebanon',
  'LC' => 'St. Lucia',
  'LI' => 'Liechtenstein',
  'LK' => 'Sri Lanka',
  'LR' => 'Liberia',
  'LS' => 'Lesotho',
  'LT' => 'Lithuania',
  'LU' => 'Luxembourg',
  'LV' => 'Latvia',
  'LY' => 'Libyan Arab Jamahiriya',
  'MA' => 'Morocco',
  'MC' => 'Monaco',
  'MD' => 'Moldova',
  'ME' => 'Montenegro',
  'MG' => 'Madagascar',
  'MH' => 'Marshall Islands',
  'MK' => 'Macedonia',
  'ML' => 'Mali',
  'MM' => 'Myanmar',
  'MN' => 'Mongolia',
  'MO' => 'Macao',
  'MP' => 'Northern Mariana Islands',
  'MQ' => 'Martinique',
  'MR' => 'Mauritania',
  'MS' => 'Montserrat',
  'MT' => 'Malta',
  'MU' => 'Mauritius',
  'MV' => 'Maldives',
  'MW' => 'Malawi',
  'MX' => 'Mexico',
  'MY' => 'Malaysia',
  'MZ' => 'Mozambique',
  'NA' => 'Namibia',
  'NC' => 'New Caledonia',
  'NE' => 'Niger',
  'NF' => 'Norfolk Island',
  'NG' => 'Nigeria',
  'NI' => 'Nicaragua',
  'NL' => 'Netherlands',
  'NO' => 'Norway',
  'NP' => 'Nepal',
  'NR' => 'Nauru',
  'NU' => 'Niue',
  'NZ' => 'New Zealand',
  'OM' => 'Oman',
  'PA' => 'Panama',
  'PE' => 'Peru',
  'PF' => 'French Polynesia',
  'PG' => 'Papua New Guinea',
  'PH' => 'Philippines',
  'PK' => 'Pakistan',
  'PL' => 'Poland',
  'PM' => 'St. Pierre and Miquelon',
  'PN' => 'Pitcairn Island',
  'PR' => 'Puerto Rico',
  'PS' => 'Palestinian Territory',
  'PT' => 'Portugal',
  'PW' => 'Palau',
  'PY' => 'Paraguay',
  'QA' => 'Qatar',
  'RE' => 'Reunion',
  'RO' => 'Romania',
  'RS' => 'Serbia',
  'RU' => 'Russia',
  'RW' => 'Rwanda',
  'SA' => 'Saudi Arabia',
  'SB' => 'Solomon Islands',
  'SC' => 'Seychelles',
  'SD' => 'Sudan',
  'SE' => 'Sweden',
  'SG' => 'Singapore',
  'SH' => 'St. Helena',
  'SI' => 'Slovenia',
  'SJ' => 'Svalbard & Jan Mayen Islands',
  'SK' => 'Slovakia',
  'SL' => 'Sierra Leone',
  'SM' => 'San Marino',
  'SN' => 'Senegal',
  'SO' => 'Somalia',
  'SR' => 'Suriname',
  'SS' => 'South Sudan',
  'ST' => 'Sao Tome and Principe',
  'SU' => 'Soviet Union',
  'SV' => 'El Salvador',
  'SY' => 'Syrian Arab Republic',
  'SZ' => 'Swaziland',
  'TC' => 'Turks and Caicos Islands',
  'TD' => 'Chad',
  'TF' => 'French Southern Territories',
  'TG' => 'Togo',
  'TH' => 'Thailand',
  'TJ' => 'Tajikistan',
  'TK' => 'Tokelau',
  'TL' => 'Timor-Leste',
  'TM' => 'Turkmenistan',
  'TN' => 'Tunisia',
  'TO' => 'Tonga',
  'TR' => 'Turkey',
  'TT' => 'Trinidad and Tobago',
  'TV' => 'Tuvalu',
  'TW' => 'Taiwan',
  'TZ' => 'Tanzania',
  'UA' => 'Ukraine',
  'UG' => 'Uganda',
  'UM' => 'United States Minor Outlying Islands',
  'US' => 'United States of America',
  'UY' => 'Uruguay',
  'UZ' => 'Uzbekistan',
  'VA' => 'Holy See',
  'VC' => 'St. Vincent and the Grenadines',
  'VE' => 'Venezuela',
  'VG' => 'British Virgin Islands',
  'VI' => 'US Virgin Islands',
  'VN' => 'Vietnam',
  'VU' => 'Vanuatu',
  'WF' => 'Wallis and Futuna Islands',
  'WS' => 'Samoa',
  'XC' => 'Czechoslovakia',
  'XG' => 'East Germany',
  'XK' => 'Kosovo',
  'YE' => 'Yemen',
  'YT' => 'Mayotte',
  'YU' => 'Yugoslavia',
  'ZA' => 'South Africa',
  'ZM' => 'Zambia',
  'ZW' => 'Zimbabwe'
];


$translations_arr = [
  '1657' => '1000 и 1 сериал.Subtitles',
  '606' => '1001cinema',
  '1717' => '100ТВ',
  '1482' => '20ht Centyry Fox',
  '713' => '2D',
  '735' => '2x2',
  '824' => '3df voice',
  '993' => '3NOK',
  '736' => '5-й канал СПб',
  '1816' => '6-й канал СПб',
  '1902' => '8 канал',
  '607' => '9й неизвестный',
  '652' => '@MUZOBOZ@',
  '1844' => '@PD',
  '1793' => 'AA-Studio',
  '1082' => 'AB-Video',
  '1384' => 'absurd95',
  '1814' => 'Ace34 / Бакулин Никита',
  '676' => 'acolith',
  '965' => 'ADStudio',
  '1870' => 'Advokat',
  '714' => 'Agatha Studdio',
  '1503' => 'AimaksaLTV',
  '922' => 'Akari Group',
  '1050' => 'Akikomi',
  '1294' => 'Aleister',
  '1856' => 'aleksei80',
  '737' => 'AlexFilm',
  '1534' => 'Alezan',
  '811' => 'AlFair Studio',
  '1696' => 'AlisaDirilis',
  '1285' => 'AlisaPH',
  '1640' => 'Allecs2010',
  '819' => 'AlphaProject',
  '653' => 'Alternative Production',
  '1203' => 'Amalgama',
  '1192' => 'Amateur "Ibra"',
  '963' => 'Amazing Dubbing',
  '933' => 'Amber',
  '804' => 'AMC',
  '738' => 'Amedia',
  '838' => 'AMS',
  '992' => 'AMV',
  '608' => 'Ancord',
  '1715' => 'Andi999',
  '1115' => 'Andre1288',
  '862' => 'Andy',
  '1740' => 'Andy Green',
  '1489' => 'AniBASE',
  '1919' => 'AniBerry',
  '1375' => 'AniBomj',
  '1157' => 'AniChaos',
  '609' => 'AniDUB',
  '1781' => 'AniFame',
  '1094' => 'AniFast',
  '654' => 'AniFilm',
  '1827' => 'AniHoup',
  '1914' => 'AniHouseTV',
  '552' => 'Anika',
  '1274' => 'AniKoe',
  '1259' => 'AniKotyatnik',
  '1525' => 'AniLeague.tv',
  '1272' => 'AniLibria.Subtitles',
  '610' => 'AniLibria.TV',
  '1354' => 'AniLibria.TV Old',
  '825' => 'AniMaunt',
  '1206' => 'AnimeBest',
  '739' => 'Animedia',
  '874' => 'Animedub',
  '829' => 'Animegroup',
  '1419' => 'AnimeJet',
  '1255' => 'AnimeLur',
  '1675' => 'AnimeMovie',
  '820' => 'animereactor',
  '1236' => 'AnimeSpace',
  '923' => 'AnimeVost',
  '1043' => 'Animy',
  '1804' => 'AniMy.Subtitles',
  '873' => 'AniPLague',
  '1841' => 'AniPlay & Get Smart Group',
  '1296' => 'AniPlay.Subtitles',
  '1084' => 'AniPlay.TV',
  '1461' => 'AniPower',
  '1079' => 'Aniraccoon',
  '1325' => 'AniRai',
  '1770' => 'AniRaid / Naoka & Sedrix',
  '1553' => 'Anirave',
  '958' => 'AniRise',
  '1071' => 'AniRise.Subtitles',
  '1415' => 'AniSense',
  '910' => 'AniStar',
  '1009' => 'Anistar Многоголосый',
  '1366' => 'AniStart',
  '1805' => 'AniT',
  '1756' => 'AniT & AniRise',
  '1582' => 'AniVersal',
  '740' => 'ANIvoice',
  '1078' => 'Anton Shanteau',
  '1831' => 'Antuan',
  '1210' => 'AnyFilm',
  '1099' => 'Anything Group',
  '865' => 'APK-TB Studio',
  '655' => 'ApofysTeam',
  '1080' => 'Aquanime',
  '1337' => 'Arasi Project  ',
  '1752' => 'Arasi Project & KIRIANA',
  '1012' => 'Arisu',
  '1917' => 'Arkadiy',
  '1710' => 'Asia Story',
  '1393' => 'AsiaHouse',
  '871' => 'Asian Miracle Group',
  '1241' => 'AskaTeam',
  '1320' => 'Astana.TV',
  '1346' => 'Asura.tv',
  '1813' => 'ATV Studio',
  '888' => 'AveBrasil',
  '926' => 'AveDorama',
  '808' => 'AvePremier',
  '850' => 'AveTurk',
  '1150' => 'AXLt',
  '1148' => 'AXLt & Oriko',
  '741' => 'AXN Sci-Fi',
  '1161' => 'Azazel',
  '1169' => 'Azazel & Eshter',
  '742' => 'AzOnFilm',
  '956' => 'Back Board Cinema',
  '677' => 'BadBajo',
  '1872' => 'BadCatStudio',
  '1327' => 'Baddest Females',
  '743' => 'BaibaKo',
  '907' => 'Banyan Studio',
  '1142' => 'Barin101',
  '553' => 'Bars MacAdams',
  '966' => 'Batafurai Team  ',
  '787' => 'BBC Saint-Petersburg',
  '715' => 'BBC Spb & LHS',
  '986' => 'Beni Affet',
  '554' => 'Berial',
  '1611' => 'BeyBeast Project ',
  '1135' => 'binjak',
  '1338' => 'Black Street Records',
  '1195' => 'BLACKDiabolik',
  '1242' => 'BlairFoxes',
  '1456' => 'Bollywood HD',
  '929' => 'Bonsai Studio',
  '1719' => 'Boomerang',
  '894' => 'BTI Studios',
  '1238' => 'BTT-TEAM',
  '842' => 'BukeDub',
  '1350' => 'Bulbamesh',
  '1473' => 'Buming Bush',
  '826' => 'Cactus Team',
  '1302' => 'Carrier88',
  '1170' => 'Carrier88 & Milirina',
  '859' => 'Cartoon Network',
  '744' => 'CasStudio',
  '899' => 'CBS Drama',
  '1444' => 'CDV',
  '1147' => 'CGInfo',
  '1166' => 'Charlie.atlost',
  '1387' => 'Chibic_hellgirl',
  '1347' => 'Choson & Chipikish',
  '1893' => 'CineLab SoundMix / СинеЛаб СаундМикс',
  '1641' => 'Cinema Prestige',
  '1871' => 'CinemaSET',
  '1370' => 'CLS Media',
  '905' => 'ClubFATE',
  '678' => 'Cmert',
  '969' => 'CNGLUK',
  '611' => 'ColdFilm',
  '1235' => 'Collapse & Kira Ksyll',
  '1199' => 'Comina',
  '1541' => 'Contentica',
  '991' => 'CoralMedia',
  '1692' => 'Cowabunga Studio',
  '745' => 'CP Digital',
  '948' => 'Crazy Cat studio',
  '1357' => 'Creative Sound',
  '855' => 'CrezaStudio',
  '1068' => 'Crunchyroll',
  '1291' => 'Crunchyroll.Subtitles',
  '555' => 'Cuba77',
  '1120' => 'cybervlad',
  '1095' => 'D. A. Studio',
  '1112' => 'D.l.M.',
  '656' => 'D1',
  '1331' => 'D2Lab',
  '1334' => 'Dajana',
  '1184' => 'Dajana & Lisek',
  '977' => 'Datfeel & Ruri',
  '679' => 'datynet',
  '834' => 'datynet & Galina Vasyukova',
  '1694' => 'datynet & Yuka_chan',
  '1200' => 'DB Production',
  '1018' => 'DDV',
  '612' => 'DeadLine Studio',
  '613' => 'DeadSno & den904',
  '614' => 'DeeAFilm Studio',
  '1092' => 'DeMon',
  '1516' => 'DemonKitty',
  '1441' => 'DemonOFmooN',
  '680' => 'den904',
  '1737' => 'Dervish',
  '681' => 'DexterTV',
  '1432' => 'Dez',
  '1181' => 'Digital Force',
  '1850' => 'Dimadima',
  '1645' => 'Dimka Shalankevich & Olivia Dei',
  '1140' => 'DiO_Production',
  '792' => 'Discovery',
  '1430' => 'disluo',
  '845' => 'Disney Channel',
  '803' => 'Diva Universal',
  '1916' => 'Djkmuf',
  '682' => 'Dobryachok aka Денис Метелев',
  '849' => 'Dorama',
  '904' => 'DoramaBox',
  '942' => 'dorama_mylive',
  '1333' => 'DoubleRec',
  '1319' => 'DoubleRec.Imago',
  '615' => 'Dream Records',
  '1165' => 'Dreamy Sleep',
  '1471' => 'DrimDori',
  '1711' => 'DubClub',
  '1355' => 'DubLik.Tv',
  '1081' => 'Duet F',
  '1381' => 'DVd',
  '1550' => 'DVD Classic',
  '1015' => 'DVD Group',
  '906' => 'DVD Магия',
  '913' => 'East Dream',
  '1912' => 'Egogg',
  '1527' => 'Ekaterina Popova',
  '1041' => 'Eladiel',
  '616' => 'Eladiel & Absurd',
  '1044' => 'Eladiel & Enilou',
  '821' => 'Eladiel & Jam',
  '1061' => 'Eladiel & Lupin',
  '1160' => 'Eladiel & Primary Alex',
  '1042' => 'Eladiel & Zendos',
  '1271' => 'Eljim',
  '716' => 'Elrom',
  '980' => 'Elysium',
  '1690' => 'Emslie',
  '882' => 'English',
  '617' => 'ETV+',
  '1747' => 'Eugene Greene',
  '893' => 'Eurochannel',
  '1446' => 'EvilBee',
  '1644' => 'Evolution Studio',
  '1898' => 'Evolution Studio & CactusTeam',
  '1835' => 'Extrabit',
  '1368' => 'Fainna Deeva',
  '1098' => 'FanDub',
  '657' => 'Fanstudio',
  '1055' => 'FassaD',
  '1517' => 'FDV',
  '1738' => 'feofanio',
  '853' => 'Fiendover',
  '746' => 'Filiza Studio',
  '883' => 'Film Prestige',
  '847' => 'FilmGate',
  '1686' => 'FilmPlay',
  '848' => 'FilmsClub',
  '1409' => 'Fire Sphere',
  '912' => 'FireDub.Net',
  '1254' => 'Flaky',
  '1193' => 'Flame',
  '1002' => 'Flarrow Films',
  '658' => 'Flux-Team',
  '747' => 'FocusStudio',
  '1035' => 'FocusX',
  '1124' => 'Force Media',
  '1789' => 'Fortica',
  '749' => 'FOX',
  '748' => 'Fox Crime',
  '705' => 'Fox Life',
  '1125' => 'Franek Monk',
  '1215' => 'FRONDA',
  '1934' => 'FSG Abrolizzz.Subtitles',
  '1860' => 'FSG Akoya.Subtitles',
  '1533' => 'FSG Asian Dragons.Subtitles',
  '1708' => 'FSG Azuma Rikimaru.Subtitles',
  '1476' => 'FSG Baddest Females.Subtitles',
  '1754' => 'FSG Baron Chen.Subtitles',
  '1332' => 'FSG Be Mine.Subtitles',
  '1546' => 'FSG Bears.Subtitles',
  '1619' => 'FSG Beloved Onnies.Subtitles',
  '1535' => 'FSG BeMine & Reborn.Subtitles',
  '1536' => 'FSG BeMine & Your Dream.Subtitles',
  '1508' => 'FSG Big Boss.Subtitles ',
  '1618' => 'FSG Birdman Fansubs.Subtitles',
  '1581' => 'FSG Black Pearl.Subtitles',
  '1587' => 'FSG BLACKBERRY.Subtitles',
  '1511' => 'FSG Cardinals.Subtitles',
  '1589' => 'FSG CharmedAsia.Subtitles',
  '1776' => 'FSG Chenderella.Subtitles',
  '1529' => 'FSG CherryLand.Subtitles',
  '1530' => 'FSG Cheshire Cat.Subtitles',
  '1702' => 'FSG China4U.Subtitles',
  '1612' => 'FSG Dann.Subtitles',
  '1559' => 'FSG Dark Love Stories.Subtitles',
  '1599' => 'FSG Demiurges.Subtitles',
  '1571' => 'FSG Desman TV.Subtitles',
  '1475' => 'FSG Dilemma.Subtitles',
  '1596' => 'FSG DiziMania.Subtitles',
  '1677' => 'FSG Do4U.Subtitles',
  '1562' => 'FSG Doramadevils.Subtitles',
  '1753' => 'FSG Doranime.Subtitles',
  '1568' => 'FSG Dragonfly.Subtitles',
  '1583' => 'FSG Dream Serials.Subtitles  ',
  '1513' => 'FSG Fireflame.Subtitles',
  '1563' => 'FSG Fizlog.Subtitles',
  '1778' => 'FSG FOR EXO&EXO-L.Subtitles',
  '1862' => 'FSG Gemini.Subtitles',
  '1577' => 'FSG Good Will.Subtitles',
  '1707' => 'FSG Gorkaya Gorchica.Subtitles',
  '1921' => 'FSG Hanguk.Subtitles',
  '1802' => 'FSG HANU FAMILY.Subtitles',
  '1586' => 'FSG INDIA SERIALS™Production.Subtitles',
  '1538' => 'FSG IRISubs.Subtitles',
  '1502' => 'FSG Iuholics.Subtitles ',
  '1755' => 'FSG Just Relax.Subtitles',
  '1706' => 'FSG K I S S A.Subtitles',
  '1878' => 'FSG KfreeST.Subtitles',
  '1485' => 'FSG Krisa-Tyan.Subtitles',
  '1875' => 'FSG Lazy Cats.Subtitles',
  '1364' => 'FSG LD-Asia.Subtitles',
  '1627' => 'FSG Libartlaw.Subtitles',
  '1510' => 'FSG Libertas.Subtitles',
  '1484' => 'FSG Lollipop.Subtitles',
  '1909' => 'FSG LongShan.Subtitles',
  '1923' => 'FSG Lotus.Subtitles',
  '1654' => 'FSG Love India Production.Subtitles',
  '1594' => 'FSG LOVE STORIES.Subtitles ',
  '1584' => 'FSG LoVeSeries&Kino.Subtitles  ',
  '1775' => 'FSG Lunas Hunters.Subtitles',
  '1575' => 'FSG Magicians.Subtitles  ',
  '1488' => 'FSG Mania / Мания.Subtitles',
  '1703' => 'FSG MCS.Subtitles',
  '1852' => 'FSG Melissa.Subtitles',
  '1684' => 'FSG Midnight.Subtitles',
  '1578' => 'FSG Nasty.Subtitles',
  '1848' => 'FSG NeonLight.Subtitles',
  '1794' => 'FSG Nightmare Muses.Subtitles',
  '1704' => 'FSG NK.Subtitles',
  '1602' => 'FSG Nunchi.Subtitles',
  '1721' => 'FSG ONE GOLDEN KEY.Subtitles',
  '1505' => 'FSG Onlion.Subtitles',
  '1593' => 'FSG Orimo.Subtitles',
  '1630' => 'FSG PALATA 666.Subtitles',
  '1608' => 'FSG Papillon.Subtitles',
  '1521' => 'FSG Phoenixes.Subtitles',
  '1601' => 'FSG Pokefans Community.Subtitles',
  '1933' => 'FSG QUEENS.Subtitles',
  '1515' => 'FSG Reborn.Subtitles',
  '1514' => 'FSG Red tail.Subtitles',
  '1801' => 'FSG RINGU.Subtitles',
  '1877' => 'FSG Save our Souls.Subtitles',
  '1759' => 'FSG Scorpions.Subtitles',
  '1477' => 'FSG Shadows.Subtitles',
  '1861' => 'FSG Skylark Maria.Subtitles',
  '1722' => 'FSG Slyness.Subtitles',
  '1544' => 'FSG Solomon.Subtitles',
  '1678' => 'FSG Space Journey fan-group.Subtitles',
  '1567' => 'FSG Stalkers\' dorm.Subtitles',
  '1566' => 'FSG STAR PLUS TV.Subtitles',
  '1653' => 'FSG Sub-Unit Zoloto.Subtitles',
  '1600' => 'FSG Sub_Team.Subtitles',
  '1597' => 'FSG TG KAST.Subtitles',
  '1557' => 'FSG Thai Miracle.Subtitles',
  '1632' => 'FSG THAI- Lakorn.Subtitles',
  '1543' => 'FSG The Art Of Love Asia.Subtitles',
  '1859' => 'FSG The Turtles.Subtitles',
  '1698' => 'FSG Tonyvika.Subtitles',
  '1840' => 'FSG Unique.Subtitles',
  '1669' => 'FSG VokiDoki.Subtitles',
  '1652' => 'FSG WeTV Russian.Subtitles',
  '1509' => 'FSG White & Black.Subtitles',
  '1590' => 'FSG White Fox.Subtitles',
  '1751' => 'FSG WTF.Subtitles',
  '1545' => 'FSG Xvoice Studio.Subtitles',
  '1500' => 'FSG YakuSub Studio.Subtitles',
  '1512' => 'FSG Yoga.Subtitles',
  '1615' => 'FSG Younet Translate.Subtitles',
  '1522' => 'FSG Your Dream.Subtitles',
  '1554' => 'FSG YRteam.Subtitles',
  '1526' => 'FSG Yupimix.Subtitles',
  '1617' => 'FSG Zipper.Subtitles',
  '1523' => 'FSG Тomato.Subtitles',
  '1431' => 'fsLeg',
  '1739' => 'Funny77',
  '870' => 'Future Hally',
  '1114' => 'GalVid',
  '1376' => 'Garsu Pasaulis',
  '717' => 'Gears Media',
  '1672' => 'Get Smart Group',
  '1842' => 'Get Smart Group & OpenDub',
  '1028' => 'Gezell Studio',
  '659' => 'GladiolusTV',
  '1382' => 'Gold Cinema',
  '618' => 'GoldTeam',
  '750' => 'Good People',
  '1524' => 'GoodTime Media',
  '885' => 'GostFilm',
  '1855' => 'Grampy',
  '1295' => 'GrandStudio',
  '619' => 'Gravi-TV',
  '1625' => 'GrayFox',
  '1097' => 'GreatGroup',
  '751' => 'Greb&CGC',
  '1395' => 'Greb&Creative',
  '620' => 'GREEN TEA',
  '660' => 'GreenРай Studio',
  '1281' => 'Gremlin Creative Studio',
  '1116' => 'Grostface',
  '930' => 'Grundy Sound',
  '1833' => 'Gynt',
  '1620' => 'GYOZARAMA',
  '1607' => 'Halimark',
  '917' => 'Hallmark Russia',
  '683' => 'Hamster',
  '621' => 'Hamster Studio',
  '1257' => 'Hard_studiO',
  '1646' => 'HaronMedia',
  '1734' => 'HaruVoice',
  '1133' => 'HaseRiLLoPaW',
  '794' => 'HDrezka Studio',
  '1472' => 'HDrezka Studio 18+',
  '1258' => 'HelloMickey Production / HMP',
  '1322' => 'Helona',
  '622' => 'HighHopes',
  '790' => 'HiWayGrope',
  '1876' => 'HMP & Вадим Химеров',
  '661' => 'Honey&Hoseena',
  '1030' => 'Horizon Studio',
  '1481' => 'Horror Maker',
  '1371' => 'Hoshi Dreams',
  '1839' => 'Huace TV',
  '1155' => 'Hunter26',
  '662' => 'ICG',
  '1404' => 'ICG + OnisFilms',
  '1585' => 'ICHI / BAN & SAKURA',
  '1783' => 'ICY VOICE',
  '752' => 'IDEAFILM',
  '1732' => 'iDimo',
  '1631' => 'Indie Dub',
  '1837' => 'Innokent33 / StudiЯ',
  '1733' => 'INSOMNIA Studio',
  '1127' => 'inter Video',
  '1402' => 'Intra Communications',
  '1194' => 'ITLM',
  '1588' => 'ITS',
  '706' => 'iTunes',
  '1313' => 'IVI',
  '1930' => 'Ivnet Cinema & Elmago',
  '1650' => 'IZFilm21',
  '1507' => 'J&N Union',
  '556' => 'Jade Studio',
  '557' => 'JAM',
  '1214' => 'Jart Team',
  '753' => 'Jaskier',
  '1141' => 'Jayce Eli_Exo',
  '558' => 'JeFerSon',
  '1392' => 'JeFerSon & KroshkaRu',
  '1180' => 'JetiX',
  '623' => 'Jetvis Studio',
  '624' => 'Jimmy J',
  '1237' => 'Jisedai',
  '1792' => 'Joe30',
  '1433' => 'JokeR',
  '877' => 'JoyStudio',
  '864' => 'Julia Prosenuk',
  '1542' => 'JustDub',
  '1555' => 'Jut.su',
  '754' => 'JWA Project',
  '1270' => 'Kai',
  '1356' => 'KalabStudio / Kalabs Studio',
  '1051' => 'Kallaider',
  '559' => 'Kansai',
  '1336' => 'Karipso и Адриан',
  '1151' => 'Kasumi',
  '1674' => 'Katana Sound',
  '1397' => 'kDiana',
  '936' => 'KeborTV',
  '1053' => 'Kedra',
  '1782' => 'KeitAndersenn',
  '684' => 'Kerems13',
  '939' => 'KerobTV',
  '1232' => 'KidsCo',
  '1913' => 'KidZone',
  '625' => 'Kiitos',
  '1204' => 'Kin',
  '1353' => 'KINGang',
  '1929' => 'Kino Polska',
  '626' => 'KinoGolos',
  '755' => 'KinoView',
  '1308' => 'Kira',
  '961' => 'KiraiMedia',
  '1290' => 'KIRIANA',
  '1156' => 'KitsuneBox',
  '1531' => 'KitsuNet',
  '1406' => 'knars',
  '837' => 'Ko136',
  '560' => 'Kobayashi',
  '1479' => 'Kogarasi',
  '914' => 'Korean Craze',
  '868' => 'KosharaSerials',
  '1438' => 'KRT (Kazeaki Ru Team)',
  '1076' => 'kubik&ko',
  '756' => 'Kulzvuk Studio',
  '1685' => 'KusьProject',
  '934' => 'KZ Studio',
  '861' => 'LakeFilms',
  '1469' => 'Lali & FISH',
  '1720' => 'LampStudio',
  '924' => 'LapkiDUB',
  '1129' => 'Lazer Video',
  '1874' => 'Lazy Cats',
  '1039' => 'LC Group',
  '1666' => 'LDV',
  '1062' => 'LE-Production',
  '1250' => 'lehachuev',
  '1922' => 'Lemiankona',
  '627' => 'Levelin',
  '628' => 'LevshaFilm',
  '1798' => 'LeXiKC / Алексей Романов',
  '1309' => 'Lifecycle (укр)',
  '1847' => 'Liga HQ',
  '1038' => 'Light Fox  ',
  '1323' => 'LightFamily',
  '685' => 'liosaa',
  '1175' => 'Lisek',
  '1556' => 'Little cloud',
  '1146' => 'Lizard Cinema',
  '858' => 'Loginof',
  '686' => 'Lord32x',
  '1380' => 'lord666',
  '1186' => 'loster01',
  '1234' => 'loster01 & Emeri',
  '718' => 'LostFilm',
  '1174' => 'Lotus Group & Yukio',
  '1367' => 'LovelyVox',
  '937' => 'Lucky Production',
  '1349' => 'Luna Studio',
  '1906' => 'Lunx студия',
  '561' => 'Lupin',
  '1279' => 'M1',
  '1873' => 'Madrid / Шведаков Петр',
  '1784' => 'MafiaVoice',
  '1915' => 'Mahou Studio',
  '1374' => 'Mai',
  '1910' => 'maksciganov',
  '908' => 'Mallorn Studio',
  '1004' => 'Mania / Мания',
  '1149' => 'Marclail',
  '1163' => 'Marie & Veler',
  '1144' => 'Max Nabokov',
  '1158' => 'MaxDamage',
  '962' => 'MaxMeister',
  '1179' => 'Maxzer & Tinda',
  '757' => 'MC Entertainment',
  '1083' => 'MCA',
  '1172' => 'MCShamaN',
  '1070' => 'MedusaSub.Subtitles',
  '1303' => 'Melis',
  '1851' => 'Melissa',
  '1221' => 'metalrus',
  '1454' => 'MGM',
  '1113' => 'mi24',
  '1154' => 'micola777',
  '1139' => 'MifSnaiper',
  '1400' => 'Mike_SwaT',
  '1134' => 'Milirina',
  '1310' => 'Milvus',
  '1713' => 'minyaev',
  '1168' => 'Miori',
  '1188' => 'Miori & Rain77',
  '1060' => 'MiraiDUB',
  '916' => 'MixFilm',
  '1569' => 'MKStudio',
  '1447' => 'Molodoy',
  '1832' => 'Mona Lisa',
  '1373' => 'MOPO888',
  '1317' => 'More TV',
  '1207' => 'Moscow City Animegroup',
  '1329' => 'Moygolos',
  '1077' => 'MozzarellaVoice',
  '1429' => 'Mr. Miroslav',
  '872' => 'Mr.Jack',
  '707' => 'MTV',
  '687' => 'Murzilka®',
  '1058' => 'Mutisia',
  '1304' => 'MVO Восторг  ',
  '1230' => 'myau myau',
  '1819' => 'MYS media team',
  '1268' => 'Mystery Film',
  '1054' => 'NAG',
  '1724' => 'Naikō.Subtitles',
  '1900' => 'NaimanFilm',
  '1411' => 'Nana',
  '807' => 'napaBo3uk',
  '809' => 'Narkom Pro',
  '1231' => 'Naruto Silver',
  '1422' => 'Naruto-Base',
  '1664' => 'Nastia',
  '562' => 'Nazel & Freya',
  '1624' => 'NegauShi',
  '1121' => 'neko64',
  '967' => 'Neo-Sound',
  '1256' => 'Neon Films',
  '629' => 'NEON Studio',
  '919' => 'Netflix',
  '1286' => 'NetLab Anima Group',
  '719' => 'New Dream',
  '1638' => 'New Dream Media',
  '663' => 'New Records',
  '1075' => 'NewComers',
  '1576' => 'NewDub',
  '630' => 'NewStation',
  '758' => 'NewStudio',
  '1927' => 'NezPerce',
  '1390' => 'NHK',
  '953' => 'Nickelodeon',
  '631' => 'Nika Lenina',
  '1401' => 'NikolasGrande',
  '1895' => 'NMT Sound',
  '1836' => 'Nord Videofilm',
  '1800' => 'Nosferatu13fd / Тим Вагнер',
  '1178' => 'NothinG',
  '759' => 'NovaFilm',
  '1057' => 'NovaFilm & NewStudio',
  '802' => 'Novamedia',
  '1162' => 'Nuriko & Absurd',
  '920' => 'Octopus',
  '1218' => 'olegorigin',
  '1679' => 'Omori',
  '760' => 'OMSKBIRD records',
  '648' => 'OnAir',
  '1682' => 'Oneinchnales',
  '563' => 'Oni',
  '761' => 'Onibaku',
  '959' => 'OnisFilms',
  '1918' => 'OnlyDub',
  '1811' => 'OnWave',
  '999' => 'OpenDub',
  '1894' => 'ORA-ORA Project',
  '1891' => 'Orthdx/Orlov',
  '1398' => 'Osbe',
  '564' => 'OSLIKt',
  '1451' => 'Oxana Dab  ',
  '688' => 'Ozeon',
  '720' => 'Ozz.tv',
  '1208' => 'O_ART',
  '762' => 'Paradox & Omskbird records',
  '875' => 'Paramount Channel',
  '708' => 'Paramount Comedy',
  '664' => 'Parovoz Production',
  '689' => 'PashaUp aka Павел Морозов',
  '990' => 'Paul Bunyan',
  '1445' => 'Pazi Voice',
  '1766' => 'Pazl Voice',
  '1892' => 'Perevodman / Пепеводман',
  '827' => 'Persona99',
  '822' => 'Persona99 & MaxDamage',
  '1324' => 'Persona99 & Molodoy',
  '1222' => 'Persona99 & Ryc99',
  '1224' => 'Persona99 & Yukio',
  '940' => 'Phoenixes',
  '1226' => 'PiratVoice',
  '1823' => 'PiterVV',
  '1767' => 'Porcellus',
  '1580' => 'Premier',
  '810' => 'Prichudiki',
  '1824' => 'ProdMedia',
  '763' => 'Profix Media',
  '839' => 'Project Web Mania',
  '1280' => 'Psychotronic',
  '941' => 'Pus\'ki production',
  '925' => 'Q-Media',
  '1288' => 'Qbiq & Oriko',
  '721' => 'R5',
  '1379' => 'Raffi',
  '1233' => 'Raikiri',
  '831' => 'RAIM',
  '690' => 'Rain Death',
  '900' => 'Rainbow World',
  '1673' => 'RainDub',
  '1907' => 'ralf124c41+',
  '1197' => 'Ranmaru',
  '1561' => 'RAW Project',
  '791' => 'RealFake',
  '818' => 'Reanimedia',
  '632' => 'RecentFilms',
  '1299' => 'Récitant',
  '764' => 'Red Media',
  '1253' => 'Red Thread ',
  '901' => 'RedDiamond Studio',
  '1352' => 'RedRussian1337',
  '633' => 'REFERO',
  '1455' => 'renege79',
  '1301' => 'Retto',
  '1435' => 'Rezan',
  '634' => 'RG.Paravozik',
  '880' => 'Rhinestone\'s',
  '1059' => 'Riddle Space',
  '931' => 'RiN',
  '1100' => 'RIOK FILMS',
  '1436' => 'Rise',
  '1613' => 'Risens Team',
  '1345' => 'RiStar Project',
  '565' => 'RiZZ_fisher',
  '1385' => 'rj24',
  '1420' => 'RJ24 & Юся',
  '1731' => 'Rtys',
  '1260' => 'Rus-Азия',
  '1063' => 'RUSCICO',
  '635' => 'RusFilm',
  '1131' => 'RussianGuy27',
  '1889' => 'Rvision',
  '566' => 'Ryc99',
  '1029' => 'Sad Kit',
  '1164' => 'Sad_kit & Milirina',
  '998' => 'SagiTtarius',
  '1416' => 'Sakura Soul',
  '1418' => 'SakuraNight',
  '1122' => 'Sam2007',
  '1187' => 'Samurai7',
  '1383' => 'San-tyan',
  '1791' => 'Sanchez',
  '1417' => 'Sashi Sutangu',
  '1326' => 'Satkur',
  '765' => 'SDI Media',
  '702' => 'Sedorelli',
  '1152' => 'SEKAI PROJECT',
  '1822' => 'Selena',
  '766' => 'Selena International',
  '1153' => 'SeM & Kº ',
  '1825' => 'SENU Project',
  '1460' => 'SEOUL BAY',
  '1130' => 'Sephiroth',
  '1736' => 'seqw0',
  '1647' => 'Sergei Vasya',
  '1676' => 'Sergei Vasya & Aleko',
  '1757' => 'Sergei Vasya & Mamzelka',
  '1389' => 'Sergej80',
  '1363' => 'SesDizi',
  '709' => 'SET',
  '915' => 'SET Russia',
  '828' => 'Shachiburi',
  '1219' => 'Shachiburi & Persona99',
  '636' => 'Shadow Dub',
  '1551' => 'shaltai79',
  '1123' => 'Shaman',
  '1410' => 'Shina',
  '1167' => 'ShinkaDan',
  '979' => 'Shinobi',
  '1227' => 'Shinsengumi',
  '1780' => 'Shiroi Kitsune',
  '767' => 'SHIZA Project',
  '1405' => 'Shiza Project & AniDub',
  '1328' => 'Shliapa',
  '1183' => 'Shoker',
  '1911' => 'Shot TV',
  '830' => 'Showjet',
  '1298' => 'Siava62',
  '1506' => 'Silv & Lupin',
  '637' => 'SilverShow',
  '1434' => 'Simplicius',
  '1643' => 'Skiminok и Akikomi',
  '823' => 'SkinkaDan',
  '1716' => 'SkyeFilmTV',
  '1104' => 'SkynsFR (Хикару)',
  '1307' => 'Slavnus Spacedust',
  '1629' => 'SLI dabbers group',
  '1069' => 'SlothSound',
  '1931' => 'Smart\'s Studios',
  '1901' => 'SMX Studios',
  '638' => 'SNK-TV',
  '1267' => 'SnowRecords',
  '639' => 'SoftBox',
  '854' => 'SomeWax',
  '952' => 'Sonata',
  '1225' => 'Sonata & Ray',
  '921' => 'Sony Channel',
  '798' => 'Sony Sci-Fi',
  '806' => 'Sony Turbo',
  '665' => 'SorzTeam',
  '1803' => 'Soullab.',
  '945' => 'Sound Film',
  '640' => 'Sound-Group',
  '890' => 'SovetRomantica',
  '1467' => 'SovetRomantica.Subtitles',
  '1361' => 'SPAWN',
  '1741' => 'Stalk + Tofsia',
  '881' => 'STAR-TREK',
  '1216' => 'StarFlame Studio',
  '641' => 'STEPonee',
  '960' => 'Stevie',
  '1217' => 'STOP-KRAN',
  '1609' => 'StreamSound',
  '1899' => 'StreamSound & HaruVoice',
  '928' => 'STUDIO RISE',
  '642' => 'Studio Victory Аsia',
  '643' => 'StudioBand',
  '982' => 'StudioFilms',
  '644' => 'Sunshine Studio',
  '1019' => 'Superbit',
  '1045' => 'Suzaku',
  '1932' => 'Sweet Voice',
  '964' => 'SyFy',
  '1343' => 'TAKEOVER Project',
  '1341' => 'TatamiFilm',
  '1138' => 'TF-AniGroup',
  '1036' => 'The Kitchen Russia',
  '1185' => 'Tina',
  '1468' => 'Tina & OziRIST',
  '1047' => 'Tinda',
  '938' => 'TINKEIT',
  '846' => 'TLC Россия',
  '666' => 'To4ka',
  '1297' => 'Tonyko',
  '1251' => 'tornado | TornadoArt',
  '944' => 'Train Studio',
  '667' => 'Trdlo.studio',
  '1440' => 'Treph',
  '567' => 'Trina_D',
  '1683' => 'Trina_D & Rizz_Fisher',
  '997' => 'True Dubbing Studio',
  '1300' => 'Tsunami voice',
  '935' => 'TUMBLER Studio',
  '1072' => 'Turk Star',
  '841' => 'Turk Star.Subtitles',
  '1743' => 'TurkishTuz',
  '1595' => 'TurkSinema.Subtitles',
  '691' => 'turok1990',
  '1845' => 'TV Play Baltics',
  '1211' => 'TV1000',
  '879' => 'TVShows',
  '1067' => 'Twister',
  '1689' => 'Tyccon',
  '723' => 'Tycoon',
  '724' => 'UC',
  '1093' => 'UJ Team',
  '1494' => 'Ultradox',
  '1293' => 'UNDERGROUND VOICE',
  '1834' => 'Unicom',
  '1052' => 'Unicorn',
  '1249' => 'Universal Channel',
  '769' => 'Universal Russia',
  '1908' => 'Urasik / Александров Юрий',
  '1247' => 'Urasiko',
  '1470' => 'Valeri',
  '1388' => 'valir55',
  '1176' => 'Valkrist',
  '1177' => 'Valkrist и Keneretta',
  '692' => 'Vano',
  '1399' => 'VashMax2',
  '1421' => 'Vendetta (Vina & Псих)',
  '1033' => 'VGM Studio',
  '1799' => 'VHSник / Страхов Борис',
  '795' => 'Viasat History',
  '645' => 'Victory-Films',
  '1020' => 'VideoBiz',
  '1667' => 'Videogram',
  '1119' => 'viktor_2838',
  '1428' => 'Vina',
  '996' => 'ViP Premiere',
  '1248' => 'Vip Serial HD',
  '725' => 'ViruseProject',
  '1426' => 'Visanti Vasaer',
  '813' => 'VO-production',
  '1362' => 'Voice Group',
  '927' => 'VOICE PROJECT STUDIO',
  '1826' => 'VoicEnd',
  '981' => 'VoicePower',
  '1639' => 'Voiz',
  '1616' => 'VokiDoki',
  '1427' => 'Volk',
  '1132' => 'Volume-6 Studio',
  '1359' => 'Vonneks',
  '1034' => 'VPStudio',
  '1025' => 'VSI Moscow',
  '568' => 'Vulpes Vulpes',
  '1273' => 'Wakanim.Subtitles',
  '1358' => 'West Media Group',
  '884' => 'West Video',
  '1026' => 'WestFilm',
  '1701' => 'WeTV Russian',
  '1037' => 'WiaDub',
  '1001' => 'WVoice',
  '887' => 'XDub & Victory-Films',
  '646' => 'XDUB Dorama',
  '1228' => 'Xelenum',
  '968' => 'Xelenum & Ruri',
  '817' => 'XL Media',
  '1209' => 'Xvoice Studio',
  '1790' => 'Yamete',
  '1437' => 'YARilo',
  '1897' => 'Yoga',
  '957' => 'youmiteru',
  '1614' => 'YouNet Translate',
  '891' => 'YOUR DREAM',
  '1828' => 'YoYo',
  '1777' => 'Yuki.Stereo',
  '1377' => 'Yupi',
  '675' => 'zamez',
  '770' => 'ZEE TV',
  '1189' => 'Zendos',
  '1046' => 'Zendos & Nomia',
  '1452' => 'Zerzia',
  '1196' => 'Zetsubou',
  '1190' => 'ZicAsakuro',
  '1223' => 'Zick Ryder',
  '668' => 'ZM-Show',
  '1335' => 'Zone Studio',
  '771' => 'ZoneVision',
  '1252' => 'Zoomvision Studio',
  '1858' => 'Автоперевод.Subtitles',
  '1623' => 'Агент Смит',
  '1450' => 'Агентство "Хабар"',
  '1287' => 'Айчик',
  '1088' => 'Акира',
  '1145' => 'Акцент',
  '1171' => 'Алекс Килька',
  '569' => 'Алексеев',
  '1495' => 'Альтера Парс',
  '812' => 'Альтернативная версия',
  '1904' => 'АМС',
  '946' => 'Анастасия Гайдаржи',
  '1086' => 'Анатолий Ашмарин',
  '1065' => 'Анатолий Гусев',
  '693' => 'Андрей Питерский',
  '1412' => 'Антон Пронин',
  '1487' => 'Антонов Николай',
  '1849' => 'Арена',
  '1795' => 'АРК-ТВ & VSI',
  '801' => 'АРК-ТВ Studio',
  '1491' => 'АрхиАзия / АрхиAsia',
  '835' => 'АрхиТеатр',
  '1011' => 'Багичев',
  '1820' => 'Баритон',
  '1604' => 'Бахурани',
  '1869' => 'Беллман Я',
  '570' => 'Белов',
  '1868' => 'Белоконский Артем',
  '694' => 'Береговых',
  '1605' => 'Бессонов',
  '1786' => 'Бибиков Юрий',
  '695' => 'Бирюков',
  '1453' => 'Благословенный Небожитель',
  '1681' => 'Бусов Глеб',
  '1865' => 'Валенко Алексей',
  '571' => 'Вартан Дохалов',
  '903' => 'Варус-Видео',
  '1829' => 'Васильев Андрей',
  '1201' => 'Васька Куролесов',
  '1276' => 'Ващенко',
  '772' => 'ВГТРК',
  '1089' => 'Велес',
  '1344' => 'Видеобаза',
  '1519' => 'Видеоимпульс',
  '1031' => 'Видеопродакшн',
  '878' => 'Видеосервис',
  '1316' => 'Видеофильм',
  '1879' => 'Видеофильм ТВ',
  '572' => 'Визгунов',
  '1854' => 'Визгунов + Нина',
  '1867' => 'Витя-Говорун',
  '1812' => 'Вихров Владимир',
  '1807' => 'Водяной Александр',
  '573' => 'Володарский',
  '1458' => 'Вольга',
  '1213' => 'ВольТворц',
  '1108' => 'Ворон',
  '857' => 'Воротилин',
  '1365' => 'Высокая Азия',
  '1032' => 'Вячеслав Прошин / Slay73',
  '574' => 'Гаврилов',
  '575' => 'Гаевский',
  '1074' => 'Галина Мительман',
  '1579' => 'Гемини',
  '1659' => 'Герусов',
  '1890' => 'Гирон Виталий / kinoman88',
  '576' => 'Гланц',
  '1314' => 'Гланц и Казакова',
  '1064' => 'Гланц и Королева',
  '577' => 'Гоблин',
  '1474' => 'Говинда Para',
  '797' => 'Гонфильм',
  '578' => 'Горчаков',
  '1443' => 'Готлиб',
  '579' => 'Гранкин',
  '1633' => 'Группа VTV',
  '1771' => 'Гумрал',
  '970' => 'Данилов',
  '1027' => 'Дарий',
  '1056' => 'Дасевич',
  '815' => 'Двухголосый',
  '1090' => 'Деваль Видео',
  '696' => 'Денис Шадинский',
  '1928' => 'Деньщиков Дмитрий / Пять плюх',
  '1693' => 'Детский',
  '1712' => 'Диктор D.F.V',
  '1564' => 'ДиоНиК',
  '1396' => 'Дмитрий Толмачев',
  '1697' => 'Дмитрий Хануманов',
  '580' => 'Дольский',
  '856' => 'Домашний',
  '1239' => 'Домик Сумасшедших Дабберов',
  '918' => 'Дораманутая / W³: voices',
  '581' => 'Дохалов',
  '943' => 'Доцент',
  '1118' => 'Другое кино',
  '773' => 'ДТВ',
  '1348' => 'Дублик ТВ',
  '704' => 'Дублированный',
  '1459' => 'Дубровин',
  '1457' => 'Дьяков',
  '971' => 'Дьяконов',
  '1048' => 'Евгения Лурье',
  '1117' => 'Еврокино',
  '866' => 'Екатеринбург Арт',
  '582' => 'Есарев',
  '1000' => 'Еха',
  '954' => 'Живи!',
  '583' => 'Живов',
  '1109' => 'Журавлев',
  '1244' => 'Завгородний',
  '1688' => 'Закон ТВ',
  '909' => 'Звезда',
  '796' => 'Звук с TS',
  '1490' => 'Золотухин',
  '584' => 'Иванов',
  '774' => 'Игмар',
  '1547' => 'ИДДК',
  '976' => 'Индийское кино',
  '1663' => 'Индия ТВ',
  '984' => 'Инис',
  '1540' => 'Интер',
  '1886' => 'Интер-Фильм',
  '726' => 'Интерфильм',
  '1548' => 'Инфо-фильм',
  '1817' => 'Инфофильм',
  '589' => 'Ирина Котова',
  '1888' => 'Ирэн',
  '1263' => 'Ист-Вест',
  '1864' => 'Казаков Александр',
  '1729' => 'Казаков Валерий',
  '1885' => 'Камер-Тон',
  '898' => 'Кармен Видео',
  '585' => 'Карповский',
  '1143' => 'Карусель',
  '586' => 'Карцев',
  '587' => 'Кашкин',
  '1769' => 'Кедров А / antoniolagrande',
  '1637' => 'Кенс Матвей',
  '1764' => 'Кино без границ',
  '1245' => 'Кинолюкс',
  '1017' => 'Киномания',
  '775' => 'Кинопоказ',
  '1680' => 'Кинопремьера',
  '1492' => 'Киностудия им. Горького',
  '1727' => 'Киноужас',
  '1005' => 'Кинсэй',
  '1087' => 'Кипарис',
  '1565' => 'Кирдин / Stalk',
  '1007' => 'Киреев',
  '955' => 'Кирилл Сагач',
  '876' => 'Кириллица',
  '1903' => 'Клерик',
  '1744' => 'Клушин Игорь / хромолка',
  '1815' => 'Князев Андрей',
  '1243' => 'Козлов',
  '647' => 'Колобок',
  '863' => 'Колобок & XDUB Dorama',
  '776' => 'Комедия ТВ',
  '1863' => 'КОМНАТА ДИДИ',
  '988' => 'Кондор',
  '1351' => 'КонтентикOFF',
  '1413' => 'Королев',
  '588' => 'Котов',
  '1191' => 'Кошка Бестия',
  '1391' => 'Кошка БесТиЯ & codevip',
  '895' => 'Кошкин',
  '777' => 'Кравец',
  '1330' => 'КТК',
  '727' => 'Кубик в Кубе',
  '1762' => 'Кудрявцев Антон',
  '590' => 'Кузнецов',
  '896' => 'Культура',
  '788' => 'Кураж-Бамбей',
  '836' => 'КураСгречей',
  '851' => 'Курдов',
  '799' => 'Кыргызский',
  '1924' => 'Лаврова Н',
  '972' => 'Лагута',
  '1278' => 'Лайко',
  '1182' => 'Лапшин',
  '1261' => 'Латышев',
  '1013' => 'Лексикон',
  '1277' => 'Ленфильм',
  '1726' => 'Леша-прапорщик',
  '591' => 'Либергал',
  '978' => 'Лидия Максимова',
  '1603' => 'Линда',
  '1360' => 'Листочек',
  '860' => 'Логинофф',
  '1772' => 'Лыдин Алексей',
  '605' => 'Люб. Двухголосый',
  '651' => 'Люб. Многоголосый',
  '674' => 'Люб. Одноголосый',
  '949' => 'Мадлен Дюваль',
  '1269' => 'Макс Скит + Андрей Хахалев',
  '1312' => 'Максим Жолобов',
  '1636' => 'Малиновский Сергей',
  '1661' => 'Марафон',
  '1105' => 'Марченко',
  '778' => 'Мастер Тэйп',
  '832' => 'Матвеев',
  '1464' => 'Махонько',
  '1728' => 'Машинский Леонид',
  '793' => 'Мега-Аниме',
  '843' => 'Медведев',
  '1742' => 'Медведев Алексей',
  '1539' => 'Мельница',
  '1212' => 'Милвус',
  '1462' => 'МИР',
  '1311' => 'Мир дорам',
  '1283' => 'Мистас',
  '1049' => 'Мистас & NesTea',
  '592' => 'Михалев',
  '814' => 'Многоголосый',
  '1315' => 'Мобильное телевидение',
  '1725' => 'Монолит',
  '1797' => 'Морозов Александр',
  '1085' => 'МорозовПронин',
  '1745' => 'Мосин-Щепачев Артем',
  '1264' => 'Мост-Видео',
  '1339' => 'Мосфильм',
  '1021' => 'Мосфильм-Мастер',
  '593' => 'Мудров',
  '1229' => 'Мужской войсовер',
  '995' => 'Муз-ТВ',
  '973' => 'Муравский',
  '1787' => 'Мусин Эрнест',
  '1560' => 'Мыльные оперы Турции',
  '1549' => 'Мьюзик-трейд',
  '1128' => 'Н-Кино',
  '1635' => 'Набиев',
  '594' => 'Назаров',
  '1394' => 'Нарышкин',
  '1642' => 'Наследников / MrRose',
  '1282' => 'Настён Грэй',
  '1896' => 'Настроение',
  '703' => 'Не требуется',
  '1318' => 'Нева-1',
  '805' => 'Невафильм',
  '595' => 'Немахов',
  '1881' => 'Немец',
  '852' => 'Неоклассика',
  '669' => 'Несмертельное оружие',
  '1321' => 'Никитин',
  '1198' => 'НИКО',
  '789' => 'Николай Дроздов',
  '1785' => 'Новый Диск',
  '1102' => 'Новый канал',
  '1016' => 'Нота',
  '1246' => 'НСТ',
  '728' => 'НТВ',
  '1718' => 'Нурмухаметов Денис',
  '1496' => 'Огородников',
  '1746' => 'Огородников Валерий / Лектор',
  '816' => 'Одноголосый',
  '1843' => 'Озвучено за бутылку',
  '1649' => 'Озвучка Миры',
  '1788' => 'Онищенко Юрий',
  '1809' => 'Орбита',
  '1006' => 'Оригинальная',
  '1340' => 'Останкино',
  '649' => 'Ох! Студия',
  '1480' => 'Ошурков',
  '1884' => 'Парадиз',
  '1765' => 'Партнер Видео Фильм',
  '1284' => 'ПВА ШОУ',
  '779' => 'Первый канал',
  '780' => 'Первый ТВЧ',
  '1926' => 'Перец',
  '1730' => 'Пестриков Дмитрий',
  '1714' => 'Петербуржец / Козлов Владимир',
  '1073' => 'Пилот',
  '1369' => 'Пирамида',
  '1866' => 'Пиратская студия',
  '892' => 'Пифагор',
  '1735' => 'Поздняков Константин',
  '1853' => 'Позитив',
  '1493' => 'Попов',
  '1838' => 'Прайм Продакшн',
  '989' => 'Премьер Видео Фильм',
  '650' => 'Причудики',
  '697' => 'Прокс',
  '712' => 'Проф. Двухголосый',
  '734' => 'Проф. Многоголосый',
  '786' => 'Проф. Одноголосый',
  '1448' => 'Прямостанов',
  '1670' => 'Пятница',
  '1748' => 'Райдер Александр / Rider',
  '1882' => 'Ракурс',
  '698' => 'Реальный перевод',
  '710' => 'РенТВ',
  '1378' => 'Ричард Фенрир',
  '1423' => 'Ричард2323',
  '1846' => 'Рост',
  '1066' => 'РТР / Россия',
  '1111' => 'Рудой',
  '781' => 'Русский дубляж',
  '1003' => 'Русский репортаж',
  '974' => 'Рутилов',
  '889' => 'РуФилмс',
  '596' => 'Рыбин',
  '844' => 'Рябов',
  '1265' => 'С.Р.И',
  '597' => 'Санаев',
  '1466' => 'Саня Белый',
  '1768' => 'Сафронов Иван / *Jonathan*',
  '833' => 'СВ Студия',
  '729' => 'СВ-Дубль',
  '730' => 'СВ-Кадр',
  '902' => 'Светла',
  '1528' => 'Светлана Суббот',
  '1106' => 'Севастьянов',
  '1660' => 'Семыкина Юлия',
  '598' => 'Сербин',
  '699' => 'Сергей Воробьев',
  '1136' => 'Сергей Дидок',
  '1808' => 'Сибирский',
  '1408' => 'Симбад',
  '1403' => 'Симбад & Vina',
  '670' => 'Синема УС',
  '1779' => 'Синема-Престиж',
  '1763' => 'Синта Рурони',
  '1880' => 'Сладкая парочка',
  '1761' => 'Смирнов Александр',
  '1749' => 'Солодухин Евгений / Solod',
  '1275' => 'Сонотек',
  '1372' => 'Сонькин',
  '985' => 'Союз Видео',
  '1648' => 'Союзмультфильм',
  '785' => 'СПД',
  '1665' => 'ССК+',
  '1925' => 'Стартрек',
  '1262' => 'Старый Бильбо',
  '1573' => 'Стасюк',
  '1439' => 'Стефан',
  '1883' => 'Стилан-видео',
  '1537' => 'Странные миры',
  '1465' => 'Строев',
  '782' => 'СТС',
  '731' => 'студия "Омикрон"',
  '783' => 'студия "Позитив"',
  '1014' => 'Студия "Ракурс"',
  '732' => 'студия "ХИТ"',
  '1126' => 'Студия NLS',
  '1687' => 'Студия им.Довженко',
  '1342' => 'Студия Камертон',
  '671' => 'Студия Пиратского Дубляжа',
  '672' => 'Студия Райдо',
  '869' => 'Субтитры',
  '700' => 'Сыендук',
  '867' => 'Т.О Друзей',
  '1621' => 'Тармухамедов',
  '1173' => 'Татьяна Трушкина',
  '711' => 'ТВ3',
  '1024' => 'ТВ6',
  '1497' => 'Твин',
  '733' => 'ТВЦ',
  '1424' => 'Тёрн',
  '1810' => 'Тивионика',
  '975' => 'Тимофеев',
  '784' => 'ТНТ',
  '1920' => 'ТО Bamboo',
  '1887' => 'То4ка',
  '1110' => 'Товбин',
  '1205' => 'Толстобров',
  '1606' => 'Тоникс Медиа',
  '1305' => 'Трамвай-фильм',
  '1289' => 'Трина Дубовицкая ',
  '1818' => 'Ужастик',
  '1655' => 'Узы Гименея',
  '800' => 'Украинский',
  '1520' => 'Ульпаней Эльром',
  '1709' => 'Ушастая озвучка',
  '1220' => 'Фан-Фан Дорам',
  '1463' => 'Филонов',
  '897' => 'Фильм Престиж',
  '1691' => 'Фильмэкспорт',
  '886' => 'Формат АВ',
  '1202' => 'Фортуна-Фильм',
  '1478' => 'ФСГ Азалии.Subtitles ',
  '1656' => 'ФСГ Алёна Эм.Subtitles',
  '1499' => 'ФСГ Альянс.Subtitles ',
  '1572' => 'ФСГ АрхиАзия / АрхиAsia.Subtitles',
  '1700' => 'ФСГ Дораманутая / W³: voices.Subtitles',
  '1758' => 'ФСГ Дуэт Ларчик.Subtitles',
  '1705' => 'ФСГ Ёжик В-Тумане.Subtitles',
  '1830' => 'ФСГ Ехидные дорамщицы Subtitles',
  '1598' => 'ФСГ Зелень.Subtitles',
  '1518' => 'ФСГ Ивушка.Subtitles',
  '1773' => 'ФСГ ЛитПеревод.Subtitles',
  '1774' => 'ФСГ Луна.Subtitles',
  '1651' => 'ФСГ Орион.Subtitles',
  '1574' => 'ФСГ Сам себе переводчик.Subtitles',
  '1628' => 'ФСГ Сладкая вата.Subtitles',
  '1591' => 'ФСГ ТаЛи.Subtitles',
  '1552' => 'ФСГ Тигрята на подсолнухе.Subtitles',
  '1501' => 'ФСГ Томато.Subtitles',
  '1723' => 'ФСГ ТриНити.Subtitles',
  '1558' => 'ФСГ У ЛУН.Subtitles',
  '1532' => 'ФСГ ФантAsia.Subtitles',
  '1634' => 'ФСГ Цай Шэн.Subtitles',
  '1750' => 'ФСГ Яойный Яой.Subtitles',
  '1306' => 'Харука',
  '983' => 'Хейли23',
  '1442' => 'ХЗ Лол',
  '1101' => 'Химеров Вадим',
  '599' => 'Хихикающий доктор',
  '1414' => 'Хлопушка',
  '1091' => 'Хоррор Мейкер',
  '840' => 'Храм Дорам ТВ',
  '1796' => 'Храм тысячи струн',
  '1483' => 'Хрусталев',
  '1137' => 'Хуан Рохас',
  '1821' => 'Хэм',
  '1905' => 'Центрнаучфильм',
  '600' => 'Чадов',
  '1386' => 'Че!',
  '673' => 'Четыре в квадрате',
  '701' => 'Чумовая десятка',
  '1449' => 'Шалаш',
  '601' => 'Шварко',
  '1671' => 'Штаб',
  '1668' => 'Штамп Дмитрий / sfairat / sf@irat',
  '602' => 'Штейн',
  '911' => 'Эй Би Видео',
  '1662' => 'Элегия фильм',
  '1658' => 'Электричка',
  '1592' => 'Энтузиасты медиа',
  '1806' => 'Юджин Найт',
  '1159' => 'Юки',
  '1425' => 'Юки Нацуи',
  '994' => 'Юлия Роджерс',
  '603' => 'Яковлев',
  '1008' => 'Янкелевич',
  '604' => 'Яроцкий',
];


$country_arr = array(
  'Австралия',
  'Австрия',
  'Азербайджан',
  'Албания',
  'Алжир',
  'Американское Самоа',
  'Ангилья',
  'Англия',
  'Ангола',
  'Андорра',
  'Антигуа и Барбуда',
  'Аргентина',
  'Армения',
  'Аруба',
  'Афганистан',
  'Багамы',
  'Бангладеш',
  'Барбадос',
  'Бахрейн',
  'Бейкер',
  'Белиз',
  'Белоруссия',
  'Бельгия',
  'Бенилюкс',
  'Бенин',
  'Болгария',
  'Боливия',
  'Бонэйр',
  'Бопутатсвана',
  'Босния и Герцеговина',
  'Ботсвана',
  'Бразилия',
  'Бруней',
  'Буркина-Фасо',
  'Бурунди',
  'Бутан',
  'Вануату',
  'Ватикан',
  'Великобритания',
  'Венгрия',
  'Венда',
  'Венесуэла',
  'Вьетнам',
  'Габон',
  'Гаити',
  'Гайана',
  'Гамбия',
  'Гана',
  'Гватемала',
  'Гвинея',
  'Гвинея-Бисау',
  'Германия',
  'Гернси',
  'Гибралтар',
  'Гондурас',
  'Гонконг',
  'Сомали',
  'Гренада',
  'Греция',
  'Грузия',
  'Гуам',
  'Дания',
  'Конго',
  'Косово',
  'Джибути',
  'Джонстон',
  'Джубаленд',
  'Доминика',
  'Доминикана',
  'Египет',
  'Замбия',
  'Зимбабве',
  'Израиль',
  'Имамат Оман',
  'Индия',
  'Индонезия',
  'Иордания',
  'Ирак',
  'Иран',
  'Ирландия', 
  'Исландия',
  'Испания',
  'Италия',
  'Йемен',
  'Султанат Касири',
  'Кабо-Верде',
  'Казахстан',
  'Камбоджа',
  'Камерун',
  'Канада',
  'Катар',
  'Кашубия',
  'Кенедугу',
  'Кения',
  'Киргизия',
  'Кирибати',
  'Китай',
  'Колумбия',
  'Коморы',
  'Конго',
  'Корея Северная',
  'Корея Южная',
  'Нидерланды',
  'Конго',
  'Коста-Рика', 
  'Куба',
  'Кувейт',
  'Кюрасао',
  'Лаос',
  'Латвия',
  'Лесото',
  'Либерия',
  'Ливан',
  'Ливия',
  'Литва',
  'Лихтенштейн',
  'Люксембург',
  'Маврикий',
  'Мавритания',
  'Мадагаскар',
  'Малави',
  'Малайзия',
  'Мали',
  'Мальдивы',
  'Мальта',
  'Марокко',
  'Мартиазо',
  'Мексика',
  'Мидуэй',
  'Мозамбик',
  'Молдавия',
  'Молдова',
  'Монако',
  'Монголия',
  'Монтсеррат',
  'Мьянма',
  'Намибия',
  'Науру',
  'Непал',
  'Нигер',
  'Нигерия',
  'Нидерланды',
  'Никарагуа',
  'Ниуэ',
  'Новая Зеландия',
  'Новая Каледония',
  'Норвегия',
  'Остров Норфолк', 
  'ОАЭ',
  'Оман',
  'Пакистан',
  'Палау',
  'Панама',
  'Парагвай',
  'Перу',
  'Польша',
  'Португалия',
  'Пуэрто Рико',
  'Ангилья',
  'Закистан',
  'Кипр',
  'Логон',
  'Россия',
  'Руанда',
  'Румыния',
  'Сальвадор',
  'Самоа',
  'Сан-Марино',
  'Саудовская Аравия',
  'Северная Ирландия',
  'Северная Македония',
  'Сейшельские Острова ',
  'Сенегал',
  'Сент-Люсия',
  'Сербия',
  'Силенд',
  'Сингапур',
  'Синт-Мартен',
  'Синт-Эстатиус',
  'Сирия',
  'Сискей',
  'Словакия',
  'Словения',
  'Соломоновы Острова',
  'Сомали',
  'Сомалиленд',
  'Судан',
  'Суринам',
  'СССР',
  'США',
  'Сьерра-Леоне',
  'Таджикистан',
  'Таиланд',
  'Тайвань',
  'Танзания',
  'Того',
  'Токелау',
  'Тонга',
  'Торо',
  'Транскей',
  'Тринидад',
  'Тобаго',
  'Тувалу',
  'Тунис',
  'Туркмения',
  'Турция',
  'Уганда',
  'Узбекистан',
  'Украина',
  'Уругвай',
  'Уэйк',
  'Уэльс',
  'ФШМ',
  'Фиджи',
  'Филиппины',
  'Финляндия',
  'Фландренсис',
  'Фолклендские острова',
  'Франция',
  'Французская Полинезия',
  'Хауленд',
  'Хиршабелле',
  'Хорватия',
  'Центральноафриканская Республика',
  'Чад',
  'Черногория',
  'Чехия',
  'Чили',
  'Швейцария',
  'Швеция',
  'Шотландия',
  'Шри-Ланка',
  'Эквадор',
  'Экваториальная Гвинея',
  'Эритрея',
  'Эсватини',
  'Эстония',
  'Эфиопия',
  'Южная Георгия',
  'ЮАР',
  'Южный Судан',
  'Ямайка',
  'Япония',
);


$mpaa_rating_arr = [
  '',
  'G',
  'PG',
  'PG-13',
  'R',
  'R+',
  'Rx',
];


$main = "";

foreach ( array( 
  'title'       => 'Заголовок новости', 
  'short_story' => 'Краткое описание',
  'full_story'  => 'Полное описание',  		
  'metatitle'   => 'Метатег Title', 
  'descr'       => 'Метатег Description', 
  'keywords'    => 'Метатег Keywords',
  'tags'        => 'Теги новости',
  'alt_name'    => 'ЧПУ новости',
  'api_token'   => 'Токен Kodik',
  'lickey'      => 'Лицензионный ключ',
  'secret_key'  => 'Секретный ключ для крона',
	) as $name => $title ) {

	$main .= "<tr><td class=\"col-xs-6 col-sm-6 col-md-7 white-line\"><h6 class=\"media-heading text-semibold\">{$title}</h6><span></span></td><td class=\"col-xs-6 col-sm-6 col-md-7 white-line\"><input name=\"config[{$name}]\" class=\"form-control\" value=\"" . ( isset( $config_kodik[$name] ) ? $config_kodik[$name] : "" ) . "\"></td></tr>";

}


$add_film        = makeCheckBox('config[add_film]', $config_kodik['add_film']);
$add_serial      = makeCheckBox('config[add_serial]', $config_kodik['add_serial']);
$add_mult        = makeCheckBox('config[add_mult]', $config_kodik['add_mult']);
$add_multserial  = makeCheckBox('config[add_multserial]', $config_kodik['add_multserial']);
$add_anime       = makeCheckBox('config[add_anime]', $config_kodik['add_anime']);
$add_animeserial = makeCheckBox('config[add_animeserial]', $config_kodik['add_animeserial']);

$main .= "<tr><td class=\"col-xs-6 col-sm-6 col-md-7 white-line\"><h6 class=\"media-heading text-semibold\">Добавлять на сайт</h6></td><td class=\"col-xs-6 col-sm-6 col-md-7 white-line\">".
	'<div style="margin-bottom:10px">'.$add_film.' Фильмы</div>'.
	'<div style="margin-bottom:10px">'.$add_serial.' Сериалы</div>'.
	'<div style="margin-bottom:10px">'.$add_mult.' Мультфильмы</div>'.
	'<div style="margin-bottom:10px">'.$add_multserial.' Мульт-сериалы</div>'.
	'<div style="margin-bottom:10px">'.$add_anime.' Аниме</div>'.
	'<div style="margin-bottom:10px">'.$add_animeserial.' Аниме-сериалы</div>'.
	"</td></tr>";

$main .= "<tr><td class=\"col-xs-6 col-sm-6 col-md-7 white-line\"><h6 class=\"media-heading text-semibold\">Черный список</h6><span>Укажите список ID Кинопоиска(каждый с новой строки)</span></td><td class=\"col-xs-6 col-sm-6 col-md-7 white-line\"><textarea name=\"config[blacklist]\" style=\"height:200px;\" class=\"form-control\">" . ( isset( $config_kodik['blacklist'] ) ? $config_kodik['blacklist'] : "" ) . "</textarea></td></tr>";


$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Порядок добавления:</h6>
        <span class="text-muted text-size-small hidden-xs">вы можете выбрать порядок добавления. по дате или по рейтингу. по возрастанию или убыванию</span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">'.makeDropDown($sort_arr_film, 'config[film_sort_by]', $config_kodik['film_sort_by']).'</td>
    </tr>';


foreach ($cat_info as $cat_arr) {
  if (intval($config_kodik['trailer_cat']) == $cat_arr['id']) {
    $trailer_cat[] = '<option value="'.$cat_arr['id'].'" selected>'.$cat_arr['name'].'</option>';
  }
  else {
    $trailer_cat[] = '<option value="'.$cat_arr['id'].'">'.$cat_arr['name'].'</option>';
  }
}

$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Категория Трейлер:</h6>
        <span class="text-muted text-size-small hidden-xs">будут автоматичесски убиратся</span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><select name="config[trailer_cat]" class="categoryselect" style="width: 100%; max-width: 350px;"><option value="0">===Выбрать из списка===</option>'.implode("\n", $trailer_cat).'</select></td>
    </tr>';    


$mass_series = makeCheckBox('config[mass_series]', $config_kodik['mass_series']);
$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Использовать посерийный модуль:</h6>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">'.$mass_series.'</td>
    </tr>';


$upload_kadr = makeCheckBox('config[upload_kadr]', $config_kodik['upload_kadr']);
$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Загружать скриншот к эпизодам с API:</h6>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">'.$upload_kadr.'</td>
    </tr>';


$first_new = makeCheckBox('config[first_new]', $config_kodik['first_new']);
$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Добавлять сначала новинки:</h6>
        <span class="text-muted text-size-small hidden-xs">если включено, то сначала будут добавлятся новые фильмы (по годам), иначе так как находятся в базе. по порядку</span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">'.$first_new.'</td>
    </tr>';

$allow_country = $config_kodik['allow_country'] ? $config_kodik['allow_country'] : [];
foreach ($country_arr as $value) {
	if (in_array(mb_strtolower($value, 'utf-8'), $allow_country)) {
		$country_select[] = '<option value="'.mb_strtolower($value, 'utf-8').'" selected>'.$value.'</option>';
	}
	else {
		$country_select[] = '<option value="'.mb_strtolower($value, 'utf-8').'">'.$value.'</option>';
	}
} 


$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Допустимые страны:</h6>
        <span class="text-muted text-size-small hidden-xs">будут добавляться публикации только определенных стран. если ничего не выбрано - то все</span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><select data-placeholder="Выберите страну" name="config[allow_country][]" class="categoryselect" multiple="" style="width: 100%; max-width: 350px;">'.implode('', $country_select).'</select></td>
    </tr>';

$country_select = [];

$disallow_country = $config_kodik['disallow_country'] ? $config_kodik['disallow_country'] : [];
foreach ($country_arr as $value) {
  if (in_array(mb_strtolower($value, 'utf-8'), $disallow_country)) {
    $country_select[] = '<option value="'.mb_strtolower($value, 'utf-8').'" selected>'.$value.'</option>';
  }
  else {
    $country_select[] = '<option value="'.mb_strtolower($value, 'utf-8').'">'.$value.'</option>';
  }
} 



$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Запрещенные страны:</h6>
        <span class="text-muted text-size-small hidden-xs">не будут добавляться публикации только определенных стран. если ничего не выбрано - то все</span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><select data-placeholder="Выберите страну" name="config[disallow_country][]" class="categoryselect" multiple="" style="width: 100%; max-width: 350px;">'.implode('', $country_select).'</select></td>
    </tr>';



$not_blocked_in = $config_kodik['not_blocked_in'] ? $config_kodik['not_blocked_in'] : [];

$country_select=[];
foreach ($all_countries as $value) {
  if (in_array(mb_strtolower($value, 'utf-8'), $not_blocked_in)) {
    $country_select[] = '<option value="'.mb_strtolower($value, 'utf-8').'" selected>'.$value.'</option>';
  }
  else {
    $country_select[] = '<option value="'.mb_strtolower($value, 'utf-8').'">'.$value.'</option>';
  }
} 


$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Не заблокированы страны:</h6>
        <span class="text-muted text-size-small hidden-xs">фильтр материалов по странам, в которых они не должны быть заблокированы</span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><select data-placeholder="Выберите страну" name="config[not_blocked_in][]" class="categoryselect" multiple="" style="width: 100%; max-width: 350px;">'.implode('', $country_select).'</select></td>
    </tr>';




$genres = $config_kodik['genres'] ? $config_kodik['genres'] : [];

$genres_select=[];
foreach ($all_genres as $value) {
  if (in_array(mb_strtolower($value, 'utf-8'), $genres)) {
    $genres_select[] = '<option value="'.mb_strtolower($value, 'utf-8').'" selected>'.$value.'</option>';
  }
  else {
    $genres_select[] = '<option value="'.mb_strtolower($value, 'utf-8').'">'.$value.'</option>';
  }
} 

$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Жанры:</h6>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><select data-placeholder="Выберите Жанры" name="config[genres][]" class="categoryselect" multiple="" style="width: 100%; max-width: 350px;">'.implode('', $genres_select).'</select></td>
    </tr>';



$mpaa_rating = $config_kodik['mpaa_rating'] ? $config_kodik['mpaa_rating'] : [];

$mpaa_select=[];
foreach ($mpaa_rating_arr as $value) {
  if (in_array(mb_strtolower($value, 'utf-8'), $mpaa_rating)) {
    $mpaa_select[] = '<option value="'.mb_strtolower($value, 'utf-8').'" selected>'.$value.'</option>';
  }
  else {
    $mpaa_select[] = '<option value="'.$value.'">'.$value.'</option>';
  }
} 


$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">mpaa rating:</h6>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><select data-placeholder="Выберите" name="config[mpaa_rating][]" class="categoryselect" multiple="" style="width: 100%; max-width: 350px;">'.implode('', $mpaa_select).'</select></td>
    </tr>';




$allow_year = $config_kodik['allow_year'] ? $config_kodik['allow_year'] : [];

for ($i=1920; $i < date('Y')+6; $i++) { 
	if (in_array($i, $allow_year)) {
		$year_select[] = '<option value="'.$i.'" selected>'.$i.'</option>';
	}
	else {
		$year_select[] = '<option value="'.$i.'">'.$i.'</option>';
	}
}


$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Допустимые года:</h6>
        <span class="text-muted text-size-small hidden-xs">будут добавляться публикации только определенных годов. если ничего не выбрано - то все</span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><select data-placeholder="Выберите год" name="config[allow_year][]" class="categoryselect" multiple="" style="width: 100%; max-width: 350px;">'.implode('', $year_select).'</select></td>
    </tr>';   



$disallow_year = $config_kodik['disallow_year'] ? $config_kodik['disallow_year'] : [];

$year_select = [];

for ($i=1920; $i < date('Y')+6; $i++) { 
  if (in_array($i, $disallow_year)) {
    $year_select[] = '<option value="'.$i.'" selected>'.$i.'</option>';
  }
  else {
    $year_select[] = '<option value="'.$i.'">'.$i.'</option>';
  }
}


$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Запрещенные года:</h6>
        <span class="text-muted text-size-small hidden-xs">не будут добавляться публикации только определенных годов. если ничего не выбрано - то все</span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><select data-placeholder="Выберите год" name="config[disallow_year][]" class="categoryselect" multiple="" style="width: 100%; max-width: 350px;">'.implode('', $year_select).'</select></td>
    </tr>';        


$translations = $config_kodik['translations'] ? $config_kodik['translations'] : [];
foreach ($translations_arr as $value) {
  if (in_array(mb_strtolower($value, 'utf-8'), $translations)) {
    $transl_select[] = '<option value="'.mb_strtolower($value, 'utf-8').'" selected>'.$value.'</option>';
  }
  else {
    $transl_select[] = '<option value="'.mb_strtolower($value, 'utf-8').'">'.$value.'</option>';
  }
} 


$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Озвучка:</h6>
        <span class="text-muted text-size-small hidden-xs">фильтр по озвучиванию</span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><select data-placeholder="Выберите озвучку" name="config[translations][]" class="categoryselect" multiple="" style="width: 100%; max-width: 350px;">'.implode('', $transl_select).'</select></td>
    </tr>';


$translation_type = [
  '' => '---Выбрать---',
  'voice' => 'Голос',
  'subtitles' => 'Субтитры'
];

$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Тип Озвучки:</h6>
        <span class="text-muted text-size-small hidden-xs">голос или Субтитры</span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">'.makeDropDown($translation_type, 'config[translation_type]', $config_kodik['translation_type']).'</td>
    </tr>';


$all_statuses = [
  'anons',
  'ongoing',
  'released',
];

$all_status = $config_kodik['all_status'] ? $config_kodik['all_status'] : [];
foreach ($all_statuses as $value) {
  if (in_array(mb_strtolower($value, 'utf-8'), $all_status)) {
    $status_select[] = '<option value="'.mb_strtolower($value, 'utf-8').'" selected>'.$value.'</option>';
  }
  else {
    $status_select[] = '<option value="'.mb_strtolower($value, 'utf-8').'">'.$value.'</option>';
  }
}     

$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">по статусам Shikimori, MyDramaList или по всем статусам:</h6>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><select data-placeholder="Выберите" name="config[all_status][]" class="categoryselect" multiple="" style="width: 100%; max-width: 350px;">'.implode('', $status_select).'</select></td>
    </tr>'; 



$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Минимальный возраст:</h6>
        <span class="text-muted text-size-small hidden-xs">можно указать как 16, так и 18-22</span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><input name="config[minimal_age]" class="form-control" value="'.$config_kodik['minimal_age'].'"></td>
    </tr>';



$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Сколько прибавлять к серии/сезону:</h6>
        <span class="text-muted text-size-small hidden-xs">см. вкладку сериалы (Последняя серия/сезон +1) </span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><input name="config[plus]" class="form-control" value="'.$config_kodik['plus'].'"></td>
    </tr>';


    $main .= '<tr>
          <td class="col-xs-6 col-sm-6 col-md-7 white-line">
            <h6 class="media-heading text-semibold">Максимум актеров:</h6>
            <span class="text-muted text-size-small hidden-xs">можно указать ограничение на кол-во актеров</span>
          </td>
          <td class="col-xs-6 col-sm-6 col-md-7 white-line"><input name="config[max_actors]" class="form-control" value="'.$config_kodik['max_actors'].'"></td>
        </tr>';


$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Максимум режиссёров:</h6>
        <span class="text-muted text-size-small hidden-xs">можно указать ограничение на кол-во режиссёров</span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><input name="config[max_directors]" class="form-control" value="'.$config_kodik['max_directors'].'"></td>
    </tr>';                   

$upload_poster = makeCheckBox('config[upload_poster]', $config_kodik['upload_poster']);

$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Загружать постер на сайт:</h6>
        <span class="text-muted text-size-small hidden-xs">если включено то постер будет загружатся вам на сервер. иначе будет ссылка на сторонний ресурс</span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">'.$upload_poster.'</td>
    </tr>';


$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Размер постера:</h6>
        <span class="text-muted text-size-small hidden-xs">например 200x160 или 120 или 0 для сохранения ориганального изображения</span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><input name="config[poster_size]" class="form-control" value="'.$config_kodik['poster_size'].'"></td>
    </tr>'; 



$grab_camrip = makeCheckBox('config[grab_camrip]', $config_kodik['grab_camrip']);

$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">добавлять камрип-качество:</h6>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">'.$grab_camrip.'</td>
    </tr>';        


$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Сортировать по рейтингу Кинопоиск:</h6>
        <span class="text-muted text-size-small hidden-xs">например 6.0 или диапазон 6.5-8.2 </span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><input name="config[kinopoisk_rating]" class="form-control" value="'.$config_kodik['kinopoisk_rating'].'"></td>
    </tr>';

$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Сортировать по рейтингу Imdb:</h6>
        <span class="text-muted text-size-small hidden-xs">например 6.0 или диапазон 6.5-8.2 </span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><input name="config[imdb_rating]" class="form-control" value="'.$config_kodik['imdb_rating'].'"></td>
    </tr>';    


$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Сортировать по рейтингу shikimori:</h6>
        <span class="text-muted text-size-small hidden-xs">например 6.0 или диапазон 6.5-8.2 </span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><input name="config[shikimori_rating]" class="form-control" value="'.$config_kodik['shikimori_rating'].'"></td>
    </tr>';

$main .= '<tr>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">Сортировать по рейтингу mydramalist:</h6>
        <span class="text-muted text-size-small hidden-xs">например 6.0 или диапазон 6.5-8.2 </span>
      </td>
      <td class="col-xs-6 col-sm-6 col-md-7 white-line"><input name="config[mydramalist_rating]" class="form-control" value="'.$config_kodik['mydramalist_rating'].'"></td>
    </tr>';


$go_moder = makeCheckBox('config[go_moder]', $config_kodik['go_moder']);
$conditionEmptyDescr = makeCheckBox('config[go_moder_empty_descr]', $config_kodik['go_moder_empty_descr']);
$conditionEmptyPoster = makeCheckBox('config[go_moder_empty_poster]', $config_kodik['go_moder_empty_poster']);

$update_if_quality = makeCheckBox('config[update_if_quality]', $config_kodik['update_if_quality']);
$update_if_seasone = makeCheckBox('config[update_if_seasone]', $config_kodik['update_if_seasone']);

$update_news_date = makeCheckBox('config[update_news_date]', $config_kodik['update_news_date']);
$disable_index = makeCheckBox('config[disable_index]', $config_kodik['disable_index']);

$main .= <<<HTML
<tr>
    <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">
            Поднимать фильмы / мультфильмы / аниме при  смене качества:
        </h6>
        <h6 class="media-heading text-semibold">
            Поднимать сериалы / мультсериалы / аниме-сериалы при смене сезонов и серий:
        </h6>
        <h6 class="media-heading text-semibold">
            Сначала отправлять на модерацию:
        </h6>
        <h6 class="media-heading text-semibold">
            На модерацию при отсутствии описания:
        </h6>
        <h6 class="media-heading text-semibold">
            На модерацию при отсутствии постера:
        </h6>
    </td>
    <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <div style="margin-bottom: 7px">
            $update_if_quality
        </div>
        <div style="margin-bottom: 7px">
            $update_if_seasone
        </div>
        <div style="margin-bottom: 7px">
            $go_moder
        </div>
        <div style="margin-bottom: 7px">
            $conditionEmptyDescr
        </div>
        <div>
            $conditionEmptyPoster
        </div>
    </td>
</tr>
<tr>
    <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <h6 class="media-heading text-semibold">
            Поднимать новость при обновлении:
        </h6>
        <h6 class="media-heading text-semibold">
            Запретить индексацию страницы для поисковиков:
        </h6>
    </td>
    <td class="col-xs-6 col-sm-6 col-md-7 white-line">
        <div style="margin-bottom: 7px">
            $update_news_date
        </div>
        <div style="margin-bottom: 7px">
            $disable_index
        </div>
    </td>
</tr>
HTML;



$xfields = "";

foreach ( xfieldsload() as $xfield ) {

	$options = "";

	foreach ($tags_arr as $key => $value) {
		if ( ($xfield[3] == "yesorno" && substr($key, 0, 1) == ":") 
			|| (in_array($xfield[3], array('text', 'textarea', 'htmljs', 'select')) && substr($key, 0, 1) != ":")
			|| (in_array($xfield[3], array('image', 'imagegalery')) && $key == 'screenshots') ) {
			$key = trim($key, ':');

			if ( $key == 'screenshots' && in_array($xfield[3], array('image', 'imagegalery') ) ) {
				$key = $key;
			} 

			if ( in_array($config_kodik['xfields'][$xfield[0]], array('{' . $key . '}', '{xf-' . $key . '}' ) ) ) {
				$selected = " selected";
			} else {
				$selected = "";
			}

			$options .= '<option value="{' . $key . '}"' . $selected . '>' . $value . '</option>';
		}
	}

	if ( $options != "" )  $xfields .= "<tr><td class=\"col-xs-6 col-sm-6 col-md-7 white-line\"><h6 class=\"media-heading text-semibold\">{$xfield[1]}</h6><span>Дополнительное поле [{$xfield[0]}]</span></td><td class=\"col-xs-6 col-sm-6 col-md-7 white-line\"><select name=\"config[xfields][{$xfield[0]}]\" style=\"width:100%;max-width:350px;\" class=\"uniform\"><option value=\" \">--- не выбрано ---</option>{$options}</select></td></tr>";

}


$genre_arr = array(
    'сериал',
  	'фильм',
  	'зарубежный',
  	'отечественный',
    'дорама',
	'аниме',
	'аниме сериал',
	'биография',
	'боевик',
	'вестерн',
	'военный',
	'детектив',
	'детский',
	'для взрослых',
	'документальный',
	'драма',
	'игра',
	'история',
	'комедия',
	'концерт',
	'короткометражка',
	'криминал',
	'мелодрама',
	'музыка',
	'мультфильм',
	'мультсериал',
	'мюзикл',
	'новости',
	'приключения',
	'реальное ТВ',
	'семейный',	
	'спорт',
	'ток-шоу',
	'триллер',
	'ужасы',
	'фантастика',
	'фильм-нуар',
	'фэнтези',
	'церемония',
  	'США',
  	'Россия',
	'Украина',
  	'Белоруссия',
  	'Корея Южная',
  	'Япония',
  	'Франция',
  	'Китай',
  	'Германия',
  	'СССР',
  	'Турция',
    'Великобритания',
  	'Индия',
  	'Canal+',
    'Universal Studios',
    'Warner Bros.',
    'Paramount Pictures',
    '20th Century Fox',
    'Мосфильм',
    'Columbia Pictures',
    'BBC',
    'The Walt Disney Company',
    'New Line Cinema',
    'Metro-Goldwyn-Mayer',
    'Studio Canal',
    'Touchstone Pictures',
    'Millennium Films',
    'Miramax Films',
    'Relativity Media',
    'Ленфильм',
    'DreamWorks',
    'Lionsgate',
    'Sony Pictures',
    'Союзмультфильм',
    'Village Roadshow Pictures',
    'ABC Studios',
    'Gaumont',
    'Студия Горького',
    'Amblin Entertainment',
    'Анимационная Студия Мельница',
    'Enjoy Movies',
    'NetFlix',
    'Marvel Studios',
    'DC Entertainment',
    'Nickelodeon',
    'OVA',
    'ONA',
    'безумие', 
    'боевые искусства', 
    'вампиры', 
    'гарем', 
    'демоны', 
    'дзёсей', 
    'игры', 
    'космос', 
    'магия', 
    'машины', 
    'меха', 
    'пародия', 
    'повседневность', 
    'полиция', 
    'психологическое',  
    'романтика', 
    'сверхъестественное', 
    'самураи', 
    'сейнен', 
    'супер сила', 
    'сёдзё',
    'сёдзё-ай',
    'сёнен',
    'сёнен-ай',
    'хентай',
    'школа',
    'экшен',
    'этти',
    'яой', 
);

for($i=date('Y')+4;$i>=1990;$i--) $genre_arr[] = $i;

$cats = "";

foreach ($cat_info as $cat) {
	$options = "";

	foreach ($genre_arr as $genre)
		$options .= '<option value="' . $genre . '"' . (in_array($genre, $config_kodik['category'][$cat['id']]) ? ' selected' : '') . '>' . $genre . '</option>';

	$cat_id = $cat['parentid'];
	$name = $cat['name'];

	while ($cat_id) {
		$name = $cat_info[$cat_id]['name'] . ' / ' . $name;
		$cat_id = $cat_info[$cat_id]['parentid'];
	}

	$cats .= "<tr><td class=\"col-xs-6 col-sm-6 col-md-7 white-line\"><h6 class=\"media-heading text-semibold\">{$name}</h6><span>категория [ID:{$cat['id']}]</span></td><td class=\"col-xs-6 col-sm-6 col-md-7 white-line\"><select name=\"config[category][{$cat['id']}][]\" style=\"width:100%;max-width:350px;\" class=\"categoryselect\" multiple>{$options}</select></td></tr>";
}


$tags = "";

foreach ($tags_arr as $key => $value) {
	$tags .= "<tr><td class=\"col-xs-6 col-sm-6 col-md-7 white-line\"><h6 class=\"media-heading text-semibold\">{$value}</h6><span></span></td><td class=\"col-xs-6 col-sm-6 col-md-7 white-line\">[if_{$key}] {{$key}} [/if_{$key}]<br>[ifnot_{$key}] данных нету [/ifnot_{$key}]</td></tr>";
}

echoheader( $__name, $__descr );

$row = $db->super_query( "SELECT COUNT(*) as count FROM " . PREFIX . "_post" );

$last_file = ENGINE_DIR.'/data/kodik.last.file';

$last = intval(@file_get_contents($last_file));


$serial_arr = [
  'episode_plus' => 'Последняя серия + 1',
  'seasone_plus' => 'Последний сезон + 1',
  'episode_type_1' => 'Форматированная серия вида 1 серия, 2 серия, 3 серия',
  'episode_type_2' => 'Форматированная серия вида 1 серия, 1-2 серия, 1-3 серия, 1-4 серия',
  'episode_type_3' => 'Форматированная серия вида 1 серия, 1,2 серия, 1,2,3 серия, 1,2,3,4 серия',
  'episode_type_4' => 'Форматированная серия + 1 вида: если 1 серия - 1,2 серия, если 2 серия - 1,2,3 серия, если 5 серия - 4,5,6 серия',
  'episode_type_5' => 'Форматированная серия + 1 вида 1,2 серия, 1,2,3 серия, 1,2,3,4,5 серия, 1-5,6,7 серия',
  'season_type_1' => 'Форматированный сезон вида 1 сезон, 2 сезон, 3 сезон',
  'season_type_2' => 'Форматированный сезон вида 1 сезон, 1-2 сезон, 1-3 сезон',
  'season_type_3' => 'Форматированный сезон вида 1 сезон, 1,2 сезон, 1,2,3 сезон',
];

$serial_arr =[];
  

foreach ($serial_arr as $key => $value) {

  $options = "";

  foreach ( xfieldsload() as $xfield ) {

    if ( $xfield[3]=='text' ) {


      
      if ( isset($config_kodik['xfields'][$key]) && '{'.$xfield[0].'}'== $config_kodik['xfields'][$key]) {
        $selected = " selected";
      } else {
        $selected = "";
      }

      $options .= '<option value="{' . $xfield[0] . '}"' . $selected . '>' . $xfield[1] . '</option>';
    }
  }

  if ( $options != "" )  $serial_tab .= "<tr><td class=\"col-xs-6 col-sm-6 col-md-7\"><h8 class=\"media-heading text-semibold\">{$value}</h8></td><td class=\"col-xs-6 col-sm-6 col-md-7 white-line\"><select name=\"config[xfields][$key]\" style=\"width:100%;max-width:350px;\" class=\"uniform\"><option value=\" \">--- не выбрано ---</option>{$options}</select></td></tr>";

}




$row = $db->super_query( "SELECT COUNT(*) as count FROM " . PREFIX . "_post" );

$count_news = $row['count'];

$log_file = ENGINE_DIR.'/data/kodik.log';

if (file_exists($log_file)) {
  list($rebuildcount, $last_id) = explode('|', file_get_contents($log_file));
} else {
  $rebuildcount = $last_id = 0;
}

$serial_tab = <<<HTML
<style type="text/css">
  .rcol-2col {
      width: 100%;
      margin: 0 20px 0 0;
  }
  .rcol-2col-header {
      background: #e1e1e1;
      font: 400 14px/1.5 'Trebuchet MS';
      color: #7d7d7f;
      height: 40px !important;
      padding: 10px 20px;
      z-index: 5;
      position: relative;
      cursor: pointer;
  }
  .rcol-2col-header span {
      float: left;
  }
  .show-hide {
      float: right;
  }
</style>
<script type="text/javascript">
  $(function(){
    $('.rcol-2col-header').click(function(){
      $('.rcol-2col-body').toggle()
    });
  });
</script>
<table class="table table-normal">$serial_tab</table>
<div class="rcol-2col">
      <div class="rcol-2col-header">
          <span>Список доступных тегов</span>
          <div class="show-hide">Show</div>
      </div>
          <div class="rcol-2col-body" style="display: none;padding: 10px 20px;">
          <table width="100%" border="0" cellspacing="0" cellpadding="0">
              <tbody><tr class="rcol-2col-body-tr-even">
                            <td width="50%">Теги для поля</td>
                            <td width="50%">Описание тега для поля</td>
                        </tr>
                <tr class="rcol-2col-body-tr-even">
                  <td width="50%">1. <b>[data_episode_plus]{episode_plus}[/data_episode_plus]</b><br>2. <b>[nodata_episode_plus]ваш текст[/nodata_episode_plus]</b></td>
                  <td width="50%">1. Заменит тег на цифру с номером последней серии + 1.<br>2. В случае если поле не задано у источника, заменит теги на ваш текст</td>
                </tr><tr class="rcol-2col-body-tr-even">
                  <td width="50%">1. <b>[data_season_plus]{season_plus}[/data_season_plus]</b><br>2. <b>[nodata_season_plus]ваш текст[/nodata_season_plus]</b></td>
                  <td width="50%">1. Заменит тег на цифру с номером последнего сезона + 1.<br>2. В случае если поле не задано у источника, заменит теги на ваш текст</td>
                </tr><tr class="rcol-2col-body-tr-even">
                  <td width="50%">1. <b>[data_episode_type_1]{episode_type_1}[/data_episode_type_1]</b><br>2. <b>[nodata_episode_type_1]ваш текст[/nodata_episode_type_1]</b></td>
                  <td width="50%">1. Заменит тег на форматированную серию вида 1 серия, 2 серия, 3 серия.<br>2. В случае если поле не задано у источника, заменит теги на ваш текст</td>
                </tr><tr class="rcol-2col-body-tr-even">
                  <td width="50%">1. <b>[data_episode_type_2]{episode_type_2}[/data_episode_type_2]</b><br>2. <b>[nodata_episode_type_2]ваш текст[/nodata_episode_type_2]</b></td>
                  <td width="50%">1. Заменит тег на форматированную серию вида 1 серия, 1-2 серия, 1-3 серия, 1-4 серия.<br>2. В случае если поле не задано у источника, заменит теги на ваш текст</td>
                </tr><tr class="rcol-2col-body-tr-even">
                  <td width="50%">1. <b>[data_episode_type_3]{episode_type_3}[/data_episode_type_3]</b><br>2. <b>[nodata_episode_type_3]ваш текст[/nodata_episode_type_3]</b></td>
                  <td width="50%">1. Заменит тег на форматированную серию вида 1 серия, 1,2 серия, 1,2,3 серия, 1,2,3,4 серия.<br>2. В случае если поле не задано у источника, заменит теги на ваш текст</td>
                </tr><tr class="rcol-2col-body-tr-even">
                  <td width="50%">1. <b>[data_episode_type_4]{episode_type_4}[/data_episode_type_4]</b><br>2. <b>[nodata_episode_type_4]ваш текст[/nodata_episode_type_4]</b></td>
                  <td width="50%">1. Заменит тег на форматированную серию + 1 вида: если 1 серия - 1,2 серия, если 2 серия - 1,2,3 серия, если 5 серия - 4,5,6 серия.<br>2. В случае если поле не задано у источника, заменит теги на ваш текст</td>
                </tr>
                <tr class="rcol-2col-body-tr-even">
                  <td width="50%">1. <b>[data_episode_type_5]{episode_type_5}[/data_episode_type_5]</b><br>2. <b>[nodata_episode_type_5]ваш текст[/nodata_episode_type_5]</b></td>
                  <td width="50%">1. Заменит тег на форматированную серию + 1 вида 1,2 серия, 1,2,3 серия, 1,2,3,4,5 серия, 1-5,6,7 серия.<br>2. В случае если поле не задано у источника, заменит теги на ваш текст</td>
                </tr><tr class="rcol-2col-body-tr-even">
                  <td width="50%">1. <b>[data_season_type_1]{season_type_1}[/data_season_type_1]</b><br>2. <b>[nodata_season_type_1]ваш текст[/nodata_season_type_1]</b></td>
                  <td width="50%">1. Заменит тег на форматированный сезон вида 1 сезон, 2 сезон, 3 сезон.<br>2. В случае если поле не задано у источника, заменит теги на ваш текст</td>
                </tr><tr class="rcol-2col-body-tr-even">
                  <td width="50%">1. <b>[data_season_type_2]{season_type_2}[/data_season_type_2]</b><br>2. <b>[nodata_season_type_2]ваш текст[/nodata_season_type_2]</b></td>
                  <td width="50%">1. Заменит тег на форматированный сезон вида 1 сезон, 1-2 сезон, 1-3 сезон.<br>2. В случае если поле не задано у источника, заменит теги на ваш текст</td>
                </tr><tr class="rcol-2col-body-tr-even">
                  <td width="50%">1. <b>[data_season_type_3]{season_type_3}[/data_season_type_3]</b><br>2. <b>[nodata_season_type_3]ваш текст[/nodata_season_type_3]</b></td>
                  <td width="50%">1. Заменит тег на форматированный сезон вида 1 сезон, 1,2 сезон, 1,2,3 сезон.<br>2. В случае если поле не задано у источника, заменит теги на ваш текст</td>
                </tr>
          </tbody></table>
        </div>
      </div>
HTML;



?>
<div class="row">
	<div class="col-md-12">
		<div class="<?=($config['version_id']>=12)?"panel":"box"?>">
		    <div class="<?=($config['version_id']>=12)?"panel-heading":"box-header"?>">
				<ul class="nav nav-tabs <?=($config['version_id']>=12)?"nav-tabs-solid":"nav-tabs-left"?>">
					<li class="active">
						<a href="#main" data-toggle="tab">
							<i class="icon-cog"></i> 
							Заголовок и метатеги
						</a>
					</li>		

					<li>
						<a href="#xfields" data-toggle="tab">
							<i class="icon-cog"></i> 
							Дополнительные поля
						</a>
					</li>	

					<li>
						<a href="#cats" data-toggle="tab">
							<i class="icon-cog"></i> 
							Категории
						</a>
					</li>	

					<li>
						<a href="#tags" data-toggle="tab">
							<i class="icon-cog"></i> 
							Теги
						</a>
					</li>	
          <li>
            <a href="#serial" data-toggle="tab">
              <i class="fa fa-tv position-left"></i>
              Сериалы
            </a>
          </li>	
          <li>
            <a href="#rebuild" data-toggle="tab">
              <i class="fa fa-code position-left"></i>
              Простановка плеера
            </a>
          </li> 		
				</ul>
			</div>

			<form id="config">
	            <div class="box-content">
	                <div class="tab-content">  	                  
		                <div class="tab-pane active" id="main">
        	            <table class="table table-normal">
        							    <tbody>
        									<?=$main?>
        							    </tbody>
        							</table>							
                    </div>

	                  <div class="tab-pane" id="xfields">
	                    	<table class="table table-normal">
        							    <tbody>
        									<?=$xfields?>
        							    </tbody>
							          </table>							
                    </div>

	                    <div class="tab-pane" id="cats">
	                    	<table class="table table-normal">
							    <tbody>
									<?=$cats?>
							    </tbody>
							</table>							
	                    </div>

	                    <div class="tab-pane" id="tags">
	                    	<div style="padding: 25px;text-align: center;font-size: 14px">Список тегов для вывода информации в заголовок, метатеги и теги новости. Используйте на вкладке «Заголовок и метатеги».</div>
	                    	<table class="table table-normal">
							    <tbody>
									<?=$tags?>
							    </tbody>
							</table>							
	                    </div>


                      <div class="tab-pane" id="serial">
                        
                        <?=$serial_tab ?>
                                  
                      </div>


                      <div class="tab-pane" id="rebuild">
                        <div class="panel-body">
                          Простановка данных на уже существующих фильмах.<br>
                          <b>Внимание:</b> Перед простановкой пожалуйста заполните все предыдущие вкладки и сохраните. А так же настоятельно рекомендуем сделать бекап своей базы данных.<br>
                          Простановка будет происходить не зависимо от включения автодобавление и автообновления. Заполняться будут только выбраные вами категории и доп поля.
                        </div>
                        
                        <div class="panel-body">
                          <div class="progress">
                            <div id="progressbar" class="progress-bar progress-blue" style="width:0%;"><span></span></div>
                          </div>
                        </div>
                        
                        <div class="panel-body">
                          Общее количество новостей:&nbsp;<?=$count_news;?>,&nbsp;обработано:&nbsp;<span class="text-danger"><span id="newscount"><?=$rebuildcount;?></span></span>&nbsp;<span id="progress"></span>
                        </div>
                        
                        <div class="panel-footer">
                          <a id="button" class="btn bg-teal btn-sm btn-raised position-left"><?if($rebuildcount>0):?>Продолжить простановку<?else:?>Начать простановку<?endif;?></a>
                          <?if($rebuildcount>0):?><a id="start_new" class="btn bg-danger btn-sm btn-raised position-left">Начать заново</a><?endif;?>
                        </div>            
                      </div>        


	                </div>

                 <div class="<?=($config['version_id']>=12)?"panel-footer":"box-footer"?> padded">
                    <input onclick="save_config(); return false;" class="btn bg-teal btn-raised legitRipple" type="submit" value="Сохранить настройки">

                    <button type="button" class="btn bg-danger btn-raised legitRipple" id="clear-tbl">Обновить очередь</button>

                    <input onclick="switch_sections(); return false" class="btn <?=($config['version_id']>=12)?"btn-bluebg-primary-600":"btn-blue"?>" style="float: right;" type="button" value="Ссылка в меню «Сторонние модули» (вкл/выкл)">
                  </div>

	            </div>
	        </form>
        </div>
    </div>
</div>

<script type="text/javascript">
function save_config() {  
  $.post('<?=$config['admin_path']?>?mod=<?=$mod?>&action=config', $('#config').serialize(), function(data){ 
    data = JSON.parse(data);
    Growl.info({
        title: 'Информация',
        text: data.message
    });
  });  
}

function switch_sections() {  
  $.get('<?=$config['admin_path']?>?mod=<?=$mod?>&action=sections', null, function(data){
    data = JSON.parse(data);
    DLEalert( data.message, '<?=$__name?>' );
  });  
}

$('.categoryselect').chosen({no_results_text: 'Ничего не найдено'});

$(function(){
  $('#clear-tbl').click(function() {
    DLEconfirm('Желаете очистить таблицу?','Подтверждение',function(){
      $.post('',{action:'clear'}, function(d){
        Growl.info({
            title: 'Информация',
            text: d
        });
      });
    })
  });
});


</script>



<script>
var total = <?=$count_news;?>;
var rebuildcount = <?=$rebuildcount;?>;

var proc = Math.round( (100 * rebuildcount) / total );
if (proc>=100){
  proc = 100;
  $('#button').attr("disabled", "disabled");
}
$('#progressbar').css( "width", proc + '%' );

$(function() {
  $('#button').click(function() {
    $("#progress").ajaxError(function(event, request, settings){
      $(this).html('<?=$lang['nl_error'];?>');
      $('#button').attr("disabled", false);
    });
    $('#progress').html('<?=$lang['rebuild_status'];?>');
    $('#button').attr("disabled", "disabled");
    $('#button').val("<?=$lang['rebuild_forw'];?>");
    senden(<?=$last_id;?>);
    return false;
  });
  
  $('#start_new').click(function() {
    $('#newscount').html(0);
    $('#progressbar').css("width", '0%');
    $('#start_new').hide();
    $("#progress").ajaxError(function(event, request, settings){
      $(this).html('<?=$lang['nl_error'];?>');
      $('#button').attr("disabled", false);
    });
    $('#progress').html('<?=$lang['rebuild_status'];?>');
    $('#button').attr("disabled", "disabled");
    $('#button').val("<?=$lang['rebuild_forw'];?>");
    senden(0, 1);
    return false;
  });
});

function senden(next_id, start_new=0){
  $.post("?mod=kodik_grabber", {action:'rebuild', next_id: next_id, start_new: start_new },
    function(data){
      if (data) {
        if (data.status == "ok") {
          $('#newscount').html(data.rebuildcount);
          var proc = Math.round( (100 * data.rebuildcount) / total );
          if ( proc > 100 ) proc = 100;
          $('#progressbar').css( "width", proc + '%' );
          if (data.rebuildcount >= total) {
             $('#progress').html('<?=$lang['rebuild_status_ok'];?>');
          }
          else { 
             senden(data.next_id);
          }
        }
      }
    }, "json").fail(function() {
      $('#progress').html('<?=$lang['nl_error'];?>');
      $('#button').attr("disabled", false);
    });
  return false;
}
</script>



<div style="padding: 10px 0px 30px 0px;text-align: center;">
	Интернет-магазин <<Всё для вебмастера>>: <a style="color: blue" href="http://codescript.ru" target="_blank">CodeScript.Ru</a>  
</div>
<?php echofooter(); ?>
  